<?php
@ini_set("display_errors","1");
@ini_set("display_startup_errors","1");

require_once("include/dbcommon.php");
header("Expires: Thu, 01 Jan 1970 00:00:01 GMT"); 

require_once("include/check_voucher_detail_for_approval_variables.php");

$mode = postvalue("mode");

if(!isLogged())
{ 
	return;
}
if(!CheckSecurity(@$_SESSION["_".$strTableName."_OwnerID"],"Search"))
{
	return;
}

require_once("classes/searchclause.php");

$cipherer = new RunnerCipherer($strTableName);

require_once('include/xtempl.php');
$xt = new Xtempl();





$layout = new TLayout("detailspreview", "BreezeDeliciousGray", "MobileDeliciousGray");
$layout->version = 2;
$layout->blocks["bare"] = array();
$layout->containers["dcount"] = array();
$layout->container_properties["dcount"] = array(  );
$layout->containers["dcount"][] = array("name"=>"detailspreviewheader", 
	"block"=>"", "substyle"=>1  );

$layout->containers["dcount"][] = array("name"=>"detailspreviewdetailsfount", 
	"block"=>"", "substyle"=>1  );

$layout->containers["dcount"][] = array("name"=>"detailspreviewdispfirst", 
	"block"=>"display_first", "substyle"=>1  );

$layout->skins["dcount"] = "empty";

$layout->blocks["bare"][] = "dcount";
$layout->containers["detailspreviewgrid"] = array();
$layout->container_properties["detailspreviewgrid"] = array(  );
$layout->containers["detailspreviewgrid"][] = array("name"=>"detailspreviewfields", 
	"block"=>"details_data", "substyle"=>1  );

$layout->skins["detailspreviewgrid"] = "grid";

$layout->blocks["bare"][] = "detailspreviewgrid";
$page_layouts["check_voucher_detail_for_approval_detailspreview"] = $layout;

$layout->skinsparams = array();
$layout->skinsparams["empty"] = array("button"=>"button2");
$layout->skinsparams["menu"] = array("button"=>"button1");
$layout->skinsparams["hmenu"] = array("button"=>"button1");
$layout->skinsparams["undermenu"] = array("button"=>"button1");
$layout->skinsparams["fields"] = array("button"=>"button1");
$layout->skinsparams["form"] = array("button"=>"button1");
$layout->skinsparams["1"] = array("button"=>"button1");
$layout->skinsparams["2"] = array("button"=>"button2");
$layout->skinsparams["3"] = array("button"=>"button1");



$recordsCounter = 0;

//	process masterkey value
$mastertable = postvalue("mastertable");
$masterKeys = my_json_decode(postvalue("masterKeys"));
$sessionPrefix = "_detailsPreview";
if($mastertable != "")
{
	$_SESSION[$sessionPrefix."_mastertable"]=$mastertable;
//	copy keys to session
	$i = 1;
	if(is_array($masterKeys) && count($masterKeys) > 0)
	{
		while(array_key_exists ("masterkey".$i, $masterKeys))
		{
			$_SESSION[$sessionPrefix."_masterkey".$i] = $masterKeys["masterkey".$i];
			$i++;
		}
	}
	if(isset($_SESSION[$sessionPrefix."_masterkey".$i]))
		unset($_SESSION[$sessionPrefix."_masterkey".$i]);
}
else
	$mastertable = $_SESSION[$sessionPrefix."_mastertable"];

$params = array();
$params['id'] = 1;
$params['xt'] = &$xt;
$params['tName'] = $strTableName;
$params['pageType'] = "detailspreview";
$pageObject = new DetailsPreview($params);

if($mastertable == "Cash_Disbursement_for_approval")
{
	$where = "";
		$formattedValue = make_db_value("TXNID",$_SESSION[$sessionPrefix."_masterkey1"]);
	if( $formattedValue == "null" )
		$where .= $pageObject->getFieldSQLDecrypt("TXNID") . "is null";
	else
		$where .= $pageObject->getFieldSQLDecrypt("TXNID") . "=" . $formattedValue;
}

$str = SecuritySQL("Search", $strTableName);
if(strlen($str))
	$where.=" and ".$str;
$strSQL = $gQuery->gSQLWhere($where);

$strSQL.=" ".$gstrOrderBy;

$rowcount = $gQuery->gSQLRowCount($where, $pageObject->connection);
$xt->assign("row_count",$rowcount);
if($rowcount) 
{
	$xt->assign("details_data",true);

	$display_count = 10;
	if($mode == "inline")
		$display_count*=2;
		
	if($rowcount>$display_count+2)
	{
		$xt->assign("display_first",true);
		$xt->assign("display_count",$display_count);
	}
	else
		$display_count = $rowcount;

	$rowinfo = array();
	
	require_once getabspath('classes/controls/ViewControlsContainer.php');
	$pSet = new ProjectSettings($strTableName, PAGE_LIST);
	$viewContainer = new ViewControlsContainer($pSet, PAGE_LIST);
	$viewContainer->isDetailsPreview = true;

	$b = true;
	$qResult = $pageObject->connection->query( $strSQL );
	$data = $cipherer->DecryptFetchedArray( $qResult->fetchAssoc() );
	while($data && $recordsCounter<$display_count) {
		$recordsCounter++;
		$row = array();
		$keylink = "";
		$keylink.="&key1=".runner_htmlspecialchars(rawurlencode(@$data["ID"]));
	
	
	//	Due Date - Short Date
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Due Date", $data, $keylink);
			$row["Due_Date_value"] = $value;
			$format = $pSet->getViewFormat("Due Date");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Due Date")))
				$class = ' rnr-field-number';
			$row["Due_Date_class"] = $class;
	//	Discount Date - Short Date
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Discount Date", $data, $keylink);
			$row["Discount_Date_value"] = $value;
			$format = $pSet->getViewFormat("Discount Date");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Discount Date")))
				$class = ' rnr-field-number';
			$row["Discount_Date_class"] = $class;
	//	Description - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Description", $data, $keylink);
			$row["Description_value"] = $value;
			$format = $pSet->getViewFormat("Description");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Description")))
				$class = ' rnr-field-number';
			$row["Description_class"] = $class;
	//	Invoice Amount - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Invoice Amount", $data, $keylink);
			$row["Invoice_Amount_value"] = $value;
			$format = $pSet->getViewFormat("Invoice Amount");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Invoice Amount")))
				$class = ' rnr-field-number';
			$row["Invoice_Amount_class"] = $class;
	//	Balance - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Balance", $data, $keylink);
			$row["Balance_value"] = $value;
			$format = $pSet->getViewFormat("Balance");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Balance")))
				$class = ' rnr-field-number';
			$row["Balance_class"] = $class;
	//	Discount - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Discount", $data, $keylink);
			$row["Discount_value"] = $value;
			$format = $pSet->getViewFormat("Discount");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Discount")))
				$class = ' rnr-field-number';
			$row["Discount_class"] = $class;
	//	Amount Paid - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Amount Paid", $data, $keylink);
			$row["Amount_Paid_value"] = $value;
			$format = $pSet->getViewFormat("Amount Paid");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Amount Paid")))
				$class = ' rnr-field-number';
			$row["Amount_Paid_class"] = $class;
	//	Paid - Checkbox
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Paid", $data, $keylink);
			$row["Paid_value"] = $value;
			$format = $pSet->getViewFormat("Paid");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Paid")))
				$class = ' rnr-field-number';
			$row["Paid_class"] = $class;
	//	Net Amount - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Net Amount", $data, $keylink);
			$row["Net_Amount_value"] = $value;
			$format = $pSet->getViewFormat("Net Amount");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Net Amount")))
				$class = ' rnr-field-number';
			$row["Net_Amount_class"] = $class;
	//	Reference - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Reference", $data, $keylink);
			$row["Reference_value"] = $value;
			$format = $pSet->getViewFormat("Reference");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Reference")))
				$class = ' rnr-field-number';
			$row["Reference_class"] = $class;
	//	apv_no - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("apv_no", $data, $keylink);
			$row["apv_no_value"] = $value;
			$format = $pSet->getViewFormat("apv_no");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("apv_no")))
				$class = ' rnr-field-number';
			$row["apv_no_class"] = $class;
	//	vatable - Checkbox
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("vatable", $data, $keylink);
			$row["vatable_value"] = $value;
			$format = $pSet->getViewFormat("vatable");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("vatable")))
				$class = ' rnr-field-number';
			$row["vatable_class"] = $class;
	//	applied_vat - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("applied_vat", $data, $keylink);
			$row["applied_vat_value"] = $value;
			$format = $pSet->getViewFormat("applied_vat");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("applied_vat")))
				$class = ' rnr-field-number';
			$row["applied_vat_class"] = $class;
	//	invoice_no - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("invoice_no", $data, $keylink);
			$row["invoice_no_value"] = $value;
			$format = $pSet->getViewFormat("invoice_no");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("invoice_no")))
				$class = ' rnr-field-number';
			$row["invoice_no_class"] = $class;
	//	po_no - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("po_no", $data, $keylink);
			$row["po_no_value"] = $value;
			$format = $pSet->getViewFormat("po_no");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("po_no")))
				$class = ' rnr-field-number';
			$row["po_no_class"] = $class;
	//	receiving_no - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("receiving_no", $data, $keylink);
			$row["receiving_no_value"] = $value;
			$format = $pSet->getViewFormat("receiving_no");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("receiving_no")))
				$class = ' rnr-field-number';
			$row["receiving_no_class"] = $class;
	//	subsidiary - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("subsidiary", $data, $keylink);
			$row["subsidiary_value"] = $value;
			$format = $pSet->getViewFormat("subsidiary");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("subsidiary")))
				$class = ' rnr-field-number';
			$row["subsidiary_class"] = $class;
	//	serial_number - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("serial_number", $data, $keylink);
			$row["serial_number_value"] = $value;
			$format = $pSet->getViewFormat("serial_number");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("serial_number")))
				$class = ' rnr-field-number';
			$row["serial_number_class"] = $class;
	//	lot_no - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("lot_no", $data, $keylink);
			$row["lot_no_value"] = $value;
			$format = $pSet->getViewFormat("lot_no");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("lot_no")))
				$class = ' rnr-field-number';
			$row["lot_no_class"] = $class;
	//	description2 - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("description2", $data, $keylink);
			$row["description2_value"] = $value;
			$format = $pSet->getViewFormat("description2");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("description2")))
				$class = ' rnr-field-number';
			$row["description2_class"] = $class;
	//	order - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("order", $data, $keylink);
			$row["order_value"] = $value;
			$format = $pSet->getViewFormat("order");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("order")))
				$class = ' rnr-field-number';
			$row["order_class"] = $class;
	//	copy - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("copy", $data, $keylink);
			$row["copy_value"] = $value;
			$format = $pSet->getViewFormat("copy");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("copy")))
				$class = ' rnr-field-number';
			$row["copy_class"] = $class;
	//	dr_no - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("dr_no", $data, $keylink);
			$row["dr_no_value"] = $value;
			$format = $pSet->getViewFormat("dr_no");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("dr_no")))
				$class = ' rnr-field-number';
			$row["dr_no_class"] = $class;
	//	invoice_fc - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("invoice_fc", $data, $keylink);
			$row["invoice_fc_value"] = $value;
			$format = $pSet->getViewFormat("invoice_fc");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("invoice_fc")))
				$class = ' rnr-field-number';
			$row["invoice_fc_class"] = $class;
	//	balance_fc - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("balance_fc", $data, $keylink);
			$row["balance_fc_value"] = $value;
			$format = $pSet->getViewFormat("balance_fc");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("balance_fc")))
				$class = ' rnr-field-number';
			$row["balance_fc_class"] = $class;
	//	amount_paid_fc - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("amount_paid_fc", $data, $keylink);
			$row["amount_paid_fc_value"] = $value;
			$format = $pSet->getViewFormat("amount_paid_fc");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("amount_paid_fc")))
				$class = ' rnr-field-number';
			$row["amount_paid_fc_class"] = $class;
	//	exchange_rate - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("exchange_rate", $data, $keylink);
			$row["exchange_rate_value"] = $value;
			$format = $pSet->getViewFormat("exchange_rate");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("exchange_rate")))
				$class = ' rnr-field-number';
			$row["exchange_rate_class"] = $class;
	//	amount_paid_fc2 - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("amount_paid_fc2", $data, $keylink);
			$row["amount_paid_fc2_value"] = $value;
			$format = $pSet->getViewFormat("amount_paid_fc2");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("amount_paid_fc2")))
				$class = ' rnr-field-number';
			$row["amount_paid_fc2_class"] = $class;
		$rowinfo[] = $row;
		if ($b) {
			$rowinfo2[] = $row;
			$b = false;
		}
		$data = $cipherer->DecryptFetchedArray( $qResult->fetchAssoc() );
	}
	$xt->assign_loopsection("details_row",$rowinfo);
	$xt->assign_loopsection("details_row_header",$rowinfo2); // assign class for header
}
$returnJSON = array("success" => true);
$xt->load_template(GetTemplateName("check_voucher_detail_for_approval", "detailspreview"));
$returnJSON["body"] = $xt->fetch_loaded();

if($mode!="inline")
{
	$returnJSON["counter"] = postvalue("counter");
	$layout = GetPageLayout(GoodFieldName($strTableName), 'detailspreview');
	if($layout)
	{
		foreach($layout->getCSSFiles(isRTL(), isMobile()) as $css)
		{
			$returnJSON['CSSFiles'][] = $css;
		}
	}	
}	

echo printJSON($returnJSON);
exit();
?>