<?php
@ini_set("display_errors","1");
@ini_set("display_startup_errors","1");

require_once("include/dbcommon.php");
header("Expires: Thu, 01 Jan 1970 00:00:01 GMT"); 

require_once("include/credit_sales_detail_for_approval_variables.php");

$mode = postvalue("mode");

if(!isLogged())
{ 
	return;
}
if(!CheckSecurity(@$_SESSION["_".$strTableName."_OwnerID"],"Search"))
{
	return;
}

require_once("classes/searchclause.php");

$cipherer = new RunnerCipherer($strTableName);

require_once('include/xtempl.php');
$xt = new Xtempl();





$layout = new TLayout("detailspreview", "BreezeDeliciousGray", "MobileDeliciousGray");
$layout->version = 2;
$layout->blocks["bare"] = array();
$layout->containers["dcount"] = array();
$layout->container_properties["dcount"] = array(  );
$layout->containers["dcount"][] = array("name"=>"detailspreviewheader", 
	"block"=>"", "substyle"=>1  );

$layout->containers["dcount"][] = array("name"=>"detailspreviewdetailsfount", 
	"block"=>"", "substyle"=>1  );

$layout->containers["dcount"][] = array("name"=>"detailspreviewdispfirst", 
	"block"=>"display_first", "substyle"=>1  );

$layout->skins["dcount"] = "empty";

$layout->blocks["bare"][] = "dcount";
$layout->containers["detailspreviewgrid"] = array();
$layout->container_properties["detailspreviewgrid"] = array(  );
$layout->containers["detailspreviewgrid"][] = array("name"=>"detailspreviewfields", 
	"block"=>"details_data", "substyle"=>1  );

$layout->skins["detailspreviewgrid"] = "grid";

$layout->blocks["bare"][] = "detailspreviewgrid";
$page_layouts["credit_sales_detail_for_approval_detailspreview"] = $layout;

$layout->skinsparams = array();
$layout->skinsparams["empty"] = array("button"=>"button2");
$layout->skinsparams["menu"] = array("button"=>"button1");
$layout->skinsparams["hmenu"] = array("button"=>"button1");
$layout->skinsparams["undermenu"] = array("button"=>"button1");
$layout->skinsparams["fields"] = array("button"=>"button1");
$layout->skinsparams["form"] = array("button"=>"button1");
$layout->skinsparams["1"] = array("button"=>"button1");
$layout->skinsparams["2"] = array("button"=>"button2");
$layout->skinsparams["3"] = array("button"=>"button1");



$recordsCounter = 0;

//	process masterkey value
$mastertable = postvalue("mastertable");
$masterKeys = my_json_decode(postvalue("masterKeys"));
$sessionPrefix = "_detailsPreview";
if($mastertable != "")
{
	$_SESSION[$sessionPrefix."_mastertable"]=$mastertable;
//	copy keys to session
	$i = 1;
	if(is_array($masterKeys) && count($masterKeys) > 0)
	{
		while(array_key_exists ("masterkey".$i, $masterKeys))
		{
			$_SESSION[$sessionPrefix."_masterkey".$i] = $masterKeys["masterkey".$i];
			$i++;
		}
	}
	if(isset($_SESSION[$sessionPrefix."_masterkey".$i]))
		unset($_SESSION[$sessionPrefix."_masterkey".$i]);
}
else
	$mastertable = $_SESSION[$sessionPrefix."_mastertable"];

$params = array();
$params['id'] = 1;
$params['xt'] = &$xt;
$params['tName'] = $strTableName;
$params['pageType'] = "detailspreview";
$pageObject = new DetailsPreview($params);

if($mastertable == "Sales_for_approval")
{
	$where = "";
		$formattedValue = make_db_value("TXNID",$_SESSION[$sessionPrefix."_masterkey1"]);
	if( $formattedValue == "null" )
		$where .= $pageObject->getFieldSQLDecrypt("TXNID") . "is null";
	else
		$where .= $pageObject->getFieldSQLDecrypt("TXNID") . "=" . $formattedValue;
}

$str = SecuritySQL("Search", $strTableName);
if(strlen($str))
	$where.=" and ".$str;
$strSQL = $gQuery->gSQLWhere($where);

$strSQL.=" ".$gstrOrderBy;

$rowcount = $gQuery->gSQLRowCount($where, $pageObject->connection);
$xt->assign("row_count",$rowcount);
if($rowcount) 
{
	$xt->assign("details_data",true);

	$display_count = 10;
	if($mode == "inline")
		$display_count*=2;
		
	if($rowcount>$display_count+2)
	{
		$xt->assign("display_first",true);
		$xt->assign("display_count",$display_count);
	}
	else
		$display_count = $rowcount;

	$rowinfo = array();
	
	require_once getabspath('classes/controls/ViewControlsContainer.php');
	$pSet = new ProjectSettings($strTableName, PAGE_LIST);
	$viewContainer = new ViewControlsContainer($pSet, PAGE_LIST);
	$viewContainer->isDetailsPreview = true;

	$b = true;
	$qResult = $pageObject->connection->query( $strSQL );
	$data = $cipherer->DecryptFetchedArray( $qResult->fetchAssoc() );
	while($data && $recordsCounter<$display_count) {
		$recordsCounter++;
		$row = array();
		$keylink = "";
		$keylink.="&key1=".runner_htmlspecialchars(rawurlencode(@$data["iD"]));
	
	
	//	ref_id - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("ref_id", $data, $keylink);
			$row["ref_id_value"] = $value;
			$format = $pSet->getViewFormat("ref_id");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("ref_id")))
				$class = ' rnr-field-number';
			$row["ref_id_class"] = $class;
	//	Qty - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Qty", $data, $keylink);
			$row["Qty_value"] = $value;
			$format = $pSet->getViewFormat("Qty");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Qty")))
				$class = ' rnr-field-number';
			$row["Qty_class"] = $class;
	//	Item - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Item", $data, $keylink);
			$row["Item_value"] = $value;
			$format = $pSet->getViewFormat("Item");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Item")))
				$class = ' rnr-field-number';
			$row["Item_class"] = $class;
	//	Account - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Account", $data, $keylink);
			$row["Account_value"] = $value;
			$format = $pSet->getViewFormat("Account");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Account")))
				$class = ' rnr-field-number';
			$row["Account_class"] = $class;
	//	Description - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Description", $data, $keylink);
			$row["Description_value"] = $value;
			$format = $pSet->getViewFormat("Description");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Description")))
				$class = ' rnr-field-number';
			$row["Description_class"] = $class;
	//	Price - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Price", $data, $keylink);
			$row["Price_value"] = $value;
			$format = $pSet->getViewFormat("Price");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Price")))
				$class = ' rnr-field-number';
			$row["Price_class"] = $class;
	//	Amount - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Amount", $data, $keylink);
			$row["Amount_value"] = $value;
			$format = $pSet->getViewFormat("Amount");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Amount")))
				$class = ' rnr-field-number';
			$row["Amount_class"] = $class;
	//	VAT_Type - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("VAT_Type", $data, $keylink);
			$row["VAT_Type_value"] = $value;
			$format = $pSet->getViewFormat("VAT_Type");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("VAT_Type")))
				$class = ' rnr-field-number';
			$row["VAT_Type_class"] = $class;
	//	VAT_Rate - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("VAT_Rate", $data, $keylink);
			$row["VAT_Rate_value"] = $value;
			$format = $pSet->getViewFormat("VAT_Rate");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("VAT_Rate")))
				$class = ' rnr-field-number';
			$row["VAT_Rate_class"] = $class;
	//	Subsidiary - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Subsidiary", $data, $keylink);
			$row["Subsidiary_value"] = $value;
			$format = $pSet->getViewFormat("Subsidiary");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Subsidiary")))
				$class = ' rnr-field-number';
			$row["Subsidiary_class"] = $class;
	//	Vat_Amount - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Vat_Amount", $data, $keylink);
			$row["Vat_Amount_value"] = $value;
			$format = $pSet->getViewFormat("Vat_Amount");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Vat_Amount")))
				$class = ' rnr-field-number';
			$row["Vat_Amount_class"] = $class;
	//	Cost_Center - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Cost_Center", $data, $keylink);
			$row["Cost_Center_value"] = $value;
			$format = $pSet->getViewFormat("Cost_Center");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Cost_Center")))
				$class = ' rnr-field-number';
			$row["Cost_Center_class"] = $class;
	//	lot_no - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("lot_no", $data, $keylink);
			$row["lot_no_value"] = $value;
			$format = $pSet->getViewFormat("lot_no");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("lot_no")))
				$class = ' rnr-field-number';
			$row["lot_no_class"] = $class;
	//	expiry_date - Short Date
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("expiry_date", $data, $keylink);
			$row["expiry_date_value"] = $value;
			$format = $pSet->getViewFormat("expiry_date");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("expiry_date")))
				$class = ' rnr-field-number';
			$row["expiry_date_class"] = $class;
	//	um - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("um", $data, $keylink);
			$row["um_value"] = $value;
			$format = $pSet->getViewFormat("um");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("um")))
				$class = ' rnr-field-number';
			$row["um_class"] = $class;
	//	serial_number - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("serial_number", $data, $keylink);
			$row["serial_number_value"] = $value;
			$format = $pSet->getViewFormat("serial_number");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("serial_number")))
				$class = ' rnr-field-number';
			$row["serial_number_class"] = $class;
	//	date - Short Date
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("date", $data, $keylink);
			$row["date_value"] = $value;
			$format = $pSet->getViewFormat("date");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("date")))
				$class = ' rnr-field-number';
			$row["date_class"] = $class;
	//	plate_no - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("plate_no", $data, $keylink);
			$row["plate_no_value"] = $value;
			$format = $pSet->getViewFormat("plate_no");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("plate_no")))
				$class = ' rnr-field-number';
			$row["plate_no_class"] = $class;
	//	document - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("document", $data, $keylink);
			$row["document_value"] = $value;
			$format = $pSet->getViewFormat("document");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("document")))
				$class = ' rnr-field-number';
			$row["document_class"] = $class;
	//	gross_weight - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("gross_weight", $data, $keylink);
			$row["gross_weight_value"] = $value;
			$format = $pSet->getViewFormat("gross_weight");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("gross_weight")))
				$class = ' rnr-field-number';
			$row["gross_weight_class"] = $class;
	//	net_weight - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("net_weight", $data, $keylink);
			$row["net_weight_value"] = $value;
			$format = $pSet->getViewFormat("net_weight");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("net_weight")))
				$class = ' rnr-field-number';
			$row["net_weight_class"] = $class;
	//	rate - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("rate", $data, $keylink);
			$row["rate_value"] = $value;
			$format = $pSet->getViewFormat("rate");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("rate")))
				$class = ' rnr-field-number';
			$row["rate_class"] = $class;
	//	driver - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("driver", $data, $keylink);
			$row["driver_value"] = $value;
			$format = $pSet->getViewFormat("driver");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("driver")))
				$class = ' rnr-field-number';
			$row["driver_class"] = $class;
	//	helper - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("helper", $data, $keylink);
			$row["helper_value"] = $value;
			$format = $pSet->getViewFormat("helper");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("helper")))
				$class = ' rnr-field-number';
			$row["helper_class"] = $class;
	//	billable_pettycash - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("billable_pettycash", $data, $keylink);
			$row["billable_pettycash_value"] = $value;
			$format = $pSet->getViewFormat("billable_pettycash");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("billable_pettycash")))
				$class = ' rnr-field-number';
			$row["billable_pettycash_class"] = $class;
	//	billable_liquidation - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("billable_liquidation", $data, $keylink);
			$row["billable_liquidation_value"] = $value;
			$format = $pSet->getViewFormat("billable_liquidation");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("billable_liquidation")))
				$class = ' rnr-field-number';
			$row["billable_liquidation_class"] = $class;
	//	billable_checkvoucher - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("billable_checkvoucher", $data, $keylink);
			$row["billable_checkvoucher_value"] = $value;
			$format = $pSet->getViewFormat("billable_checkvoucher");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("billable_checkvoucher")))
				$class = ' rnr-field-number';
			$row["billable_checkvoucher_class"] = $class;
	//	exchange_rate - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("exchange_rate", $data, $keylink);
			$row["exchange_rate_value"] = $value;
			$format = $pSet->getViewFormat("exchange_rate");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("exchange_rate")))
				$class = ' rnr-field-number';
			$row["exchange_rate_class"] = $class;
	//	peso_amount - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("peso_amount", $data, $keylink);
			$row["peso_amount_value"] = $value;
			$format = $pSet->getViewFormat("peso_amount");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("peso_amount")))
				$class = ' rnr-field-number';
			$row["peso_amount_class"] = $class;
	//	dollar_amount - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("dollar_amount", $data, $keylink);
			$row["dollar_amount_value"] = $value;
			$format = $pSet->getViewFormat("dollar_amount");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("dollar_amount")))
				$class = ' rnr-field-number';
			$row["dollar_amount_class"] = $class;
	//	notes - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("notes", $data, $keylink);
			$row["notes_value"] = $value;
			$format = $pSet->getViewFormat("notes");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("notes")))
				$class = ' rnr-field-number';
			$row["notes_class"] = $class;
	//	account_no - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("account_no", $data, $keylink);
			$row["account_no_value"] = $value;
			$format = $pSet->getViewFormat("account_no");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("account_no")))
				$class = ' rnr-field-number';
			$row["account_no_class"] = $class;
	//	currency_detail - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("currency_detail", $data, $keylink);
			$row["currency_detail_value"] = $value;
			$format = $pSet->getViewFormat("currency_detail");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("currency_detail")))
				$class = ' rnr-field-number';
			$row["currency_detail_class"] = $class;
	//	ord - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("ord", $data, $keylink);
			$row["ord_value"] = $value;
			$format = $pSet->getViewFormat("ord");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("ord")))
				$class = ' rnr-field-number';
			$row["ord_class"] = $class;
	//	copy - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("copy", $data, $keylink);
			$row["copy_value"] = $value;
			$format = $pSet->getViewFormat("copy");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("copy")))
				$class = ' rnr-field-number';
			$row["copy_class"] = $class;
		$rowinfo[] = $row;
		if ($b) {
			$rowinfo2[] = $row;
			$b = false;
		}
		$data = $cipherer->DecryptFetchedArray( $qResult->fetchAssoc() );
	}
	$xt->assign_loopsection("details_row",$rowinfo);
	$xt->assign_loopsection("details_row_header",$rowinfo2); // assign class for header
}
$returnJSON = array("success" => true);
$xt->load_template(GetTemplateName("credit_sales_detail_for_approval", "detailspreview"));
$returnJSON["body"] = $xt->fetch_loaded();

if($mode!="inline")
{
	$returnJSON["counter"] = postvalue("counter");
	$layout = GetPageLayout(GoodFieldName($strTableName), 'detailspreview');
	if($layout)
	{
		foreach($layout->getCSSFiles(isRTL(), isMobile()) as $css)
		{
			$returnJSON['CSSFiles'][] = $css;
		}
	}	
}	

echo printJSON($returnJSON);
exit();
?>