<?php
function DisplayMasterTableInfo_Inventory_Adjustment_for_checking($params)
{
	$keys = $params["keys"];
	$detailtable = $params["detailtable"];
	$data = $params["masterRecordData"];
	
	$xt = new Xtempl();
	$tName = "Inventory_Adjustment_for_checking";
	$xt->eventsObject = getEventObject($tName);
	
	include_once('classes/listpage.php');
	include_once('classes/listpage_simple.php');
	$mParams  = array();
	$mParams["xt"] = &$xt;
	$mParams["mode"] = LIST_MASTER;
	$mParams["pageType"] = PAGE_LIST;
	$mParams["flyId"] = $params["recId"];
	$masterPage = ListPage::createListPage($tName, $mParams);
	
	$settings = $masterPage->pSet;
	$viewControls = new ViewControlsContainer($settings, PAGE_LIST, $masterPage);
	
	$keysAssoc = array();
	$showKeys = "";	

	if($detailtable == "inv_adj_detail_for_checking")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("Inventory_Adjustment_for_checking","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if( !$data || !count($data) )
		return;
	
	// reassign pagetitlelabel function adding extra params
	$xt->assign_function("pagetitlelabel", "xt_pagetitlelabel", array("record" => $data, "settings" => $settings));
	
	$keylink = "";
	$keylink.= "&key1=".runner_htmlspecialchars(rawurlencode(@$data["id"]));
	
	$xt->assign("Print_mastervalue", $viewControls->showDBValue("Print", $data, $keylink));
	$format = $settings->getViewFormat("Print");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Print")))
		$class = ' rnr-field-number';
		
	$xt->assign("Print_class", $class); // add class for field header as field value
	$xt->assign("Transadate_mastervalue", $viewControls->showDBValue("Transadate", $data, $keylink));
	$format = $settings->getViewFormat("Transadate");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Transadate")))
		$class = ' rnr-field-number';
		
	$xt->assign("Transadate_class", $class); // add class for field header as field value
	$xt->assign("Remarks_mastervalue", $viewControls->showDBValue("Remarks", $data, $keylink));
	$format = $settings->getViewFormat("Remarks");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Remarks")))
		$class = ' rnr-field-number';
		
	$xt->assign("Remarks_class", $class); // add class for field header as field value
	$xt->assign("gl_adjustment_account_mastervalue", $viewControls->showDBValue("gl_adjustment_account", $data, $keylink));
	$format = $settings->getViewFormat("gl_adjustment_account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("gl_adjustment_account")))
		$class = ' rnr-field-number';
		
	$xt->assign("gl_adjustment_account_class", $class); // add class for field header as field value
	$xt->assign("total_amount_mastervalue", $viewControls->showDBValue("total_amount", $data, $keylink));
	$format = $settings->getViewFormat("total_amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("total_amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("total_amount_class", $class); // add class for field header as field value
	$xt->assign("cost_center_mastervalue", $viewControls->showDBValue("cost_center", $data, $keylink));
	$format = $settings->getViewFormat("cost_center");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("cost_center")))
		$class = ' rnr-field-number';
		
	$xt->assign("cost_center_class", $class); // add class for field header as field value
	$xt->assign("taxable_mastervalue", $viewControls->showDBValue("taxable", $data, $keylink));
	$format = $settings->getViewFormat("taxable");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("taxable")))
		$class = ' rnr-field-number';
		
	$xt->assign("taxable_class", $class); // add class for field header as field value
	$xt->assign("status_mastervalue", $viewControls->showDBValue("status", $data, $keylink));
	$format = $settings->getViewFormat("status");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("status")))
		$class = ' rnr-field-number';
		
	$xt->assign("status_class", $class); // add class for field header as field value
	$xt->assign("status_remarks_mastervalue", $viewControls->showDBValue("status_remarks", $data, $keylink));
	$format = $settings->getViewFormat("status_remarks");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("status_remarks")))
		$class = ' rnr-field-number';
		
	$xt->assign("status_remarks_class", $class); // add class for field header as field value
	$xt->assign("prepared_by_mastervalue", $viewControls->showDBValue("prepared_by", $data, $keylink));
	$format = $settings->getViewFormat("prepared_by");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("prepared_by")))
		$class = ' rnr-field-number';
		
	$xt->assign("prepared_by_class", $class); // add class for field header as field value
	$xt->assign("modified_by_mastervalue", $viewControls->showDBValue("modified_by", $data, $keylink));
	$format = $settings->getViewFormat("modified_by");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("modified_by")))
		$class = ' rnr-field-number';
		
	$xt->assign("modified_by_class", $class); // add class for field header as field value
	$xt->assign("modified_date_mastervalue", $viewControls->showDBValue("modified_date", $data, $keylink));
	$format = $settings->getViewFormat("modified_date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("modified_date")))
		$class = ' rnr-field-number';
		
	$xt->assign("modified_date_class", $class); // add class for field header as field value

	$layout = GetPageLayout("Inventory_Adjustment_for_checking", 'masterlist');
	if( $layout )
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');
	
	$xt->displayPartial(GetTemplateName("Inventory_Adjustment_for_checking", "masterlist"));
}

?>