<?php
function DisplayMasterTableInfo_request_for_quoter_detail_for_approval($params)
{
	$keys = $params["keys"];
	$detailtable = $params["detailtable"];
	$data = $params["masterRecordData"];
	
	$xt = new Xtempl();
	$tName = "request_for_quoter_detail_for_approval";
	$xt->eventsObject = getEventObject($tName);
	
	include_once('classes/listpage.php');
	include_once('classes/listpage_simple.php');
	$mParams  = array();
	$mParams["xt"] = &$xt;
	$mParams["mode"] = LIST_MASTER;
	$mParams["pageType"] = PAGE_LIST;
	$mParams["flyId"] = $params["recId"];
	$masterPage = ListPage::createListPage($tName, $mParams);
	
	$settings = $masterPage->pSet;
	$viewControls = new ViewControlsContainer($settings, PAGE_LIST, $masterPage);
	
	$keysAssoc = array();
	$showKeys = "";	

	if($detailtable == "request_for_quote_for_approval")
	{
		$keysAssoc["iD"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("iD", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("request_for_quoter_detail_for_approval","iD").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if( !$data || !count($data) )
		return;
	
	// reassign pagetitlelabel function adding extra params
	$xt->assign_function("pagetitlelabel", "xt_pagetitlelabel", array("record" => $data, "settings" => $settings));
	
	$keylink = "";
	$keylink.= "&key1=".runner_htmlspecialchars(rawurlencode(@$data["iD"]));
	
	$xt->assign("iD_mastervalue", $viewControls->showDBValue("iD", $data, $keylink));
	$format = $settings->getViewFormat("iD");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("iD")))
		$class = ' rnr-field-number';
		
	$xt->assign("iD_class", $class); // add class for field header as field value
	$xt->assign("TXNID_mastervalue", $viewControls->showDBValue("TXNID", $data, $keylink));
	$format = $settings->getViewFormat("TXNID");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("TXNID")))
		$class = ' rnr-field-number';
		
	$xt->assign("TXNID_class", $class); // add class for field header as field value
	$xt->assign("Qty_mastervalue", $viewControls->showDBValue("Qty", $data, $keylink));
	$format = $settings->getViewFormat("Qty");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Qty")))
		$class = ' rnr-field-number';
		
	$xt->assign("Qty_class", $class); // add class for field header as field value
	$xt->assign("Item_mastervalue", $viewControls->showDBValue("Item", $data, $keylink));
	$format = $settings->getViewFormat("Item");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Item")))
		$class = ' rnr-field-number';
		
	$xt->assign("Item_class", $class); // add class for field header as field value
	$xt->assign("Account_mastervalue", $viewControls->showDBValue("Account", $data, $keylink));
	$format = $settings->getViewFormat("Account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Account")))
		$class = ' rnr-field-number';
		
	$xt->assign("Account_class", $class); // add class for field header as field value
	$xt->assign("Description_mastervalue", $viewControls->showDBValue("Description", $data, $keylink));
	$format = $settings->getViewFormat("Description");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Description")))
		$class = ' rnr-field-number';
		
	$xt->assign("Description_class", $class); // add class for field header as field value
	$xt->assign("Price_mastervalue", $viewControls->showDBValue("Price", $data, $keylink));
	$format = $settings->getViewFormat("Price");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Price")))
		$class = ' rnr-field-number';
		
	$xt->assign("Price_class", $class); // add class for field header as field value
	$xt->assign("Amount_mastervalue", $viewControls->showDBValue("Amount", $data, $keylink));
	$format = $settings->getViewFormat("Amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("Amount_class", $class); // add class for field header as field value
	$xt->assign("Discount_mastervalue", $viewControls->showDBValue("Discount", $data, $keylink));
	$format = $settings->getViewFormat("Discount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Discount")))
		$class = ' rnr-field-number';
		
	$xt->assign("Discount_class", $class); // add class for field header as field value
	$xt->assign("Net_Amount_mastervalue", $viewControls->showDBValue("Net_Amount", $data, $keylink));
	$format = $settings->getViewFormat("Net_Amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Net_Amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("Net_Amount_class", $class); // add class for field header as field value
	$xt->assign("VAT_Type_mastervalue", $viewControls->showDBValue("VAT_Type", $data, $keylink));
	$format = $settings->getViewFormat("VAT_Type");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("VAT_Type")))
		$class = ' rnr-field-number';
		
	$xt->assign("VAT_Type_class", $class); // add class for field header as field value
	$xt->assign("VAT_Rate_mastervalue", $viewControls->showDBValue("VAT_Rate", $data, $keylink));
	$format = $settings->getViewFormat("VAT_Rate");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("VAT_Rate")))
		$class = ' rnr-field-number';
		
	$xt->assign("VAT_Rate_class", $class); // add class for field header as field value
	$xt->assign("EWT_ATC_mastervalue", $viewControls->showDBValue("EWT_ATC", $data, $keylink));
	$format = $settings->getViewFormat("EWT_ATC");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("EWT_ATC")))
		$class = ' rnr-field-number';
		
	$xt->assign("EWT_ATC_class", $class); // add class for field header as field value
	$xt->assign("EWT_Rate_mastervalue", $viewControls->showDBValue("EWT_Rate", $data, $keylink));
	$format = $settings->getViewFormat("EWT_Rate");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("EWT_Rate")))
		$class = ' rnr-field-number';
		
	$xt->assign("EWT_Rate_class", $class); // add class for field header as field value
	$xt->assign("Subsidiary_mastervalue", $viewControls->showDBValue("Subsidiary", $data, $keylink));
	$format = $settings->getViewFormat("Subsidiary");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Subsidiary")))
		$class = ' rnr-field-number';
		
	$xt->assign("Subsidiary_class", $class); // add class for field header as field value
	$xt->assign("isinvoice_mastervalue", $viewControls->showDBValue("isinvoice", $data, $keylink));
	$format = $settings->getViewFormat("isinvoice");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("isinvoice")))
		$class = ' rnr-field-number';
		
	$xt->assign("isinvoice_class", $class); // add class for field header as field value
	$xt->assign("Vat_Amount_mastervalue", $viewControls->showDBValue("Vat_Amount", $data, $keylink));
	$format = $settings->getViewFormat("Vat_Amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Vat_Amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("Vat_Amount_class", $class); // add class for field header as field value
	$xt->assign("EWT_Amount_mastervalue", $viewControls->showDBValue("EWT_Amount", $data, $keylink));
	$format = $settings->getViewFormat("EWT_Amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("EWT_Amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("EWT_Amount_class", $class); // add class for field header as field value
	$xt->assign("iscleared_mastervalue", $viewControls->showDBValue("iscleared", $data, $keylink));
	$format = $settings->getViewFormat("iscleared");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("iscleared")))
		$class = ' rnr-field-number';
		
	$xt->assign("iscleared_class", $class); // add class for field header as field value
	$xt->assign("DateCleared_mastervalue", $viewControls->showDBValue("DateCleared", $data, $keylink));
	$format = $settings->getViewFormat("DateCleared");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("DateCleared")))
		$class = ' rnr-field-number';
		
	$xt->assign("DateCleared_class", $class); // add class for field header as field value
	$xt->assign("Cost_Center_mastervalue", $viewControls->showDBValue("Cost_Center", $data, $keylink));
	$format = $settings->getViewFormat("Cost_Center");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Cost_Center")))
		$class = ' rnr-field-number';
		
	$xt->assign("Cost_Center_class", $class); // add class for field header as field value
	$xt->assign("serial_number_mastervalue", $viewControls->showDBValue("serial_number", $data, $keylink));
	$format = $settings->getViewFormat("serial_number");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("serial_number")))
		$class = ' rnr-field-number';
		
	$xt->assign("serial_number_class", $class); // add class for field header as field value
	$xt->assign("estimated_life_mastervalue", $viewControls->showDBValue("estimated_life", $data, $keylink));
	$format = $settings->getViewFormat("estimated_life");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("estimated_life")))
		$class = ' rnr-field-number';
		
	$xt->assign("estimated_life_class", $class); // add class for field header as field value
	$xt->assign("depreciation_start_date_mastervalue", $viewControls->showDBValue("depreciation_start_date", $data, $keylink));
	$format = $settings->getViewFormat("depreciation_start_date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("depreciation_start_date")))
		$class = ' rnr-field-number';
		
	$xt->assign("depreciation_start_date_class", $class); // add class for field header as field value
	$xt->assign("salvage_value_mastervalue", $viewControls->showDBValue("salvage_value", $data, $keylink));
	$format = $settings->getViewFormat("salvage_value");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("salvage_value")))
		$class = ' rnr-field-number';
		
	$xt->assign("salvage_value_class", $class); // add class for field header as field value
	$xt->assign("lot_no_mastervalue", $viewControls->showDBValue("lot_no", $data, $keylink));
	$format = $settings->getViewFormat("lot_no");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("lot_no")))
		$class = ' rnr-field-number';
		
	$xt->assign("lot_no_class", $class); // add class for field header as field value
	$xt->assign("expiry_date_mastervalue", $viewControls->showDBValue("expiry_date", $data, $keylink));
	$format = $settings->getViewFormat("expiry_date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("expiry_date")))
		$class = ' rnr-field-number';
		
	$xt->assign("expiry_date_class", $class); // add class for field header as field value
	$xt->assign("um_mastervalue", $viewControls->showDBValue("um", $data, $keylink));
	$format = $settings->getViewFormat("um");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("um")))
		$class = ' rnr-field-number';
		
	$xt->assign("um_class", $class); // add class for field header as field value
	$xt->assign("ref_id_mastervalue", $viewControls->showDBValue("ref_id", $data, $keylink));
	$format = $settings->getViewFormat("ref_id");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("ref_id")))
		$class = ' rnr-field-number';
		
	$xt->assign("ref_id_class", $class); // add class for field header as field value

	$layout = GetPageLayout("request_for_quoter_detail_for_approval", 'masterlist');
	if( $layout )
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');
	
	$xt->displayPartial(GetTemplateName("request_for_quoter_detail_for_approval", "masterlist"));
}

?>