<?php
function DisplayMasterTableInfo_sales($params)
{
	$keys = $params["keys"];
	$detailtable = $params["detailtable"];
	$data = $params["masterRecordData"];
	
	$xt = new Xtempl();
	$tName = "sales";
	$xt->eventsObject = getEventObject($tName);
	
	include_once('classes/listpage.php');
	include_once('classes/listpage_simple.php');
	$mParams  = array();
	$mParams["xt"] = &$xt;
	$mParams["mode"] = LIST_MASTER;
	$mParams["pageType"] = PAGE_LIST;
	$mParams["flyId"] = $params["recId"];
	$masterPage = ListPage::createListPage($tName, $mParams);
	
	$settings = $masterPage->pSet;
	$viewControls = new ViewControlsContainer($settings, PAGE_LIST, $masterPage);
	
	$keysAssoc = array();
	$showKeys = "";	

	if($detailtable == "sales_detail")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("sales","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "sale_cost_detail")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("sales","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "billable_pettycash")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("sales","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "billable_liquidation")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("sales","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "billable_checkvoucher")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("sales","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "sales_sub_invoice")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("sales","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if( !$data || !count($data) )
		return;
	
	// reassign pagetitlelabel function adding extra params
	$xt->assign_function("pagetitlelabel", "xt_pagetitlelabel", array("record" => $data, "settings" => $settings));
	
	$keylink = "";
	$keylink.= "&key1=".runner_htmlspecialchars(rawurlencode(@$data["id"]));
	
	$xt->assign("TXNID_mastervalue", $viewControls->showDBValue("TXNID", $data, $keylink));
	$format = $settings->getViewFormat("TXNID");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("TXNID")))
		$class = ' rnr-field-number';
		
	$xt->assign("TXNID_class", $class); // add class for field header as field value
	$xt->assign("Transadate_mastervalue", $viewControls->showDBValue("Transadate", $data, $keylink));
	$format = $settings->getViewFormat("Transadate");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Transadate")))
		$class = ' rnr-field-number';
		
	$xt->assign("Transadate_class", $class); // add class for field header as field value
	$xt->assign("Business_Partner_mastervalue", $viewControls->showDBValue("Business_Partner", $data, $keylink));
	$format = $settings->getViewFormat("Business_Partner");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Business_Partner")))
		$class = ' rnr-field-number';
		
	$xt->assign("Business_Partner_class", $class); // add class for field header as field value
	$xt->assign("Receivable_Account_mastervalue", $viewControls->showDBValue("Receivable_Account", $data, $keylink));
	$format = $settings->getViewFormat("Receivable_Account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Receivable_Account")))
		$class = ' rnr-field-number';
		
	$xt->assign("Receivable_Account_class", $class); // add class for field header as field value
	$xt->assign("Terms_mastervalue", $viewControls->showDBValue("Terms", $data, $keylink));
	$format = $settings->getViewFormat("Terms");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Terms")))
		$class = ' rnr-field-number';
		
	$xt->assign("Terms_class", $class); // add class for field header as field value
	$xt->assign("Terms_Discount_percent_mastervalue", $viewControls->showDBValue("Terms_Discount_percent", $data, $keylink));
	$format = $settings->getViewFormat("Terms_Discount_percent");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Terms_Discount_percent")))
		$class = ' rnr-field-number';
		
	$xt->assign("Terms_Discount_percent_class", $class); // add class for field header as field value
	$xt->assign("Terms_Discount_days_mastervalue", $viewControls->showDBValue("Terms_Discount_days", $data, $keylink));
	$format = $settings->getViewFormat("Terms_Discount_days");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Terms_Discount_days")))
		$class = ' rnr-field-number';
		
	$xt->assign("Terms_Discount_days_class", $class); // add class for field header as field value
	$xt->assign("Terms_due_date_mastervalue", $viewControls->showDBValue("Terms_due_date", $data, $keylink));
	$format = $settings->getViewFormat("Terms_due_date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Terms_due_date")))
		$class = ' rnr-field-number';
		
	$xt->assign("Terms_due_date_class", $class); // add class for field header as field value
	$xt->assign("Due_Date_mastervalue", $viewControls->showDBValue("Due_Date", $data, $keylink));
	$format = $settings->getViewFormat("Due_Date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Due_Date")))
		$class = ' rnr-field-number';
		
	$xt->assign("Due_Date_class", $class); // add class for field header as field value
	$xt->assign("Cost_Center_mastervalue", $viewControls->showDBValue("Cost_Center", $data, $keylink));
	$format = $settings->getViewFormat("Cost_Center");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Cost_Center")))
		$class = ' rnr-field-number';
		
	$xt->assign("Cost_Center_class", $class); // add class for field header as field value
	$xt->assign("Gross_Sale_mastervalue", $viewControls->showDBValue("Gross_Sale", $data, $keylink));
	$format = $settings->getViewFormat("Gross_Sale");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Gross_Sale")))
		$class = ' rnr-field-number';
		
	$xt->assign("Gross_Sale_class", $class); // add class for field header as field value
	$xt->assign("Discount_Amount_mastervalue", $viewControls->showDBValue("Discount_Amount", $data, $keylink));
	$format = $settings->getViewFormat("Discount_Amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Discount_Amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("Discount_Amount_class", $class); // add class for field header as field value
	$xt->assign("Discount_Account_mastervalue", $viewControls->showDBValue("Discount_Account", $data, $keylink));
	$format = $settings->getViewFormat("Discount_Account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Discount_Account")))
		$class = ' rnr-field-number';
		
	$xt->assign("Discount_Account_class", $class); // add class for field header as field value
	$xt->assign("Vat_Amount_mastervalue", $viewControls->showDBValue("Vat_Amount", $data, $keylink));
	$format = $settings->getViewFormat("Vat_Amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Vat_Amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("Vat_Amount_class", $class); // add class for field header as field value
	$xt->assign("VAT_Account_mastervalue", $viewControls->showDBValue("VAT_Account", $data, $keylink));
	$format = $settings->getViewFormat("VAT_Account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("VAT_Account")))
		$class = ' rnr-field-number';
		
	$xt->assign("VAT_Account_class", $class); // add class for field header as field value
	$xt->assign("EWT_Amount_mastervalue", $viewControls->showDBValue("EWT_Amount", $data, $keylink));
	$format = $settings->getViewFormat("EWT_Amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("EWT_Amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("EWT_Amount_class", $class); // add class for field header as field value
	$xt->assign("Net_Amount_mastervalue", $viewControls->showDBValue("Net_Amount", $data, $keylink));
	$format = $settings->getViewFormat("Net_Amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Net_Amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("Net_Amount_class", $class); // add class for field header as field value
	$xt->assign("Taxable_mastervalue", $viewControls->showDBValue("Taxable", $data, $keylink));
	$format = $settings->getViewFormat("Taxable");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Taxable")))
		$class = ' rnr-field-number';
		
	$xt->assign("Taxable_class", $class); // add class for field header as field value
	$xt->assign("Remarks_mastervalue", $viewControls->showDBValue("Remarks", $data, $keylink));
	$format = $settings->getViewFormat("Remarks");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Remarks")))
		$class = ' rnr-field-number';
		
	$xt->assign("Remarks_class", $class); // add class for field header as field value
	$xt->assign("vatable_mastervalue", $viewControls->showDBValue("vatable", $data, $keylink));
	$format = $settings->getViewFormat("vatable");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("vatable")))
		$class = ' rnr-field-number';
		
	$xt->assign("vatable_class", $class); // add class for field header as field value
	$xt->assign("Net_pay_mastervalue", $viewControls->showDBValue("Net_pay", $data, $keylink));
	$format = $settings->getViewFormat("Net_pay");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Net_pay")))
		$class = ' rnr-field-number';
		
	$xt->assign("Net_pay_class", $class); // add class for field header as field value
	$xt->assign("file_mastervalue", "<span class='rnr-field-file'>".$viewControls->showDBValue("file", $data, $keylink)."</span>");
	$format = $settings->getViewFormat("file");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("file")))
		$class = ' rnr-field-number';
		
	$xt->assign("file_class", $class); // add class for field header as field value
	$xt->assign("vatable_sale_mastervalue", $viewControls->showDBValue("vatable_sale", $data, $keylink));
	$format = $settings->getViewFormat("vatable_sale");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("vatable_sale")))
		$class = ' rnr-field-number';
		
	$xt->assign("vatable_sale_class", $class); // add class for field header as field value
	$xt->assign("exempt_sale_mastervalue", $viewControls->showDBValue("exempt_sale", $data, $keylink));
	$format = $settings->getViewFormat("exempt_sale");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("exempt_sale")))
		$class = ' rnr-field-number';
		
	$xt->assign("exempt_sale_class", $class); // add class for field header as field value
	$xt->assign("zero_rated_sale_mastervalue", $viewControls->showDBValue("zero_rated_sale", $data, $keylink));
	$format = $settings->getViewFormat("zero_rated_sale");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("zero_rated_sale")))
		$class = ' rnr-field-number';
		
	$xt->assign("zero_rated_sale_class", $class); // add class for field header as field value
	$xt->assign("sale_to_government_mastervalue", $viewControls->showDBValue("sale_to_government", $data, $keylink));
	$format = $settings->getViewFormat("sale_to_government");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("sale_to_government")))
		$class = ' rnr-field-number';
		
	$xt->assign("sale_to_government_class", $class); // add class for field header as field value
	$xt->assign("discount_type_mastervalue", $viewControls->showDBValue("discount_type", $data, $keylink));
	$format = $settings->getViewFormat("discount_type");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("discount_type")))
		$class = ' rnr-field-number';
		
	$xt->assign("discount_type_class", $class); // add class for field header as field value
	$xt->assign("discount_rate_mastervalue", $viewControls->showDBValue("discount_rate", $data, $keylink));
	$format = $settings->getViewFormat("discount_rate");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("discount_rate")))
		$class = ' rnr-field-number';
		
	$xt->assign("discount_rate_class", $class); // add class for field header as field value
	$xt->assign("discount_code_mastervalue", $viewControls->showDBValue("discount_code", $data, $keylink));
	$format = $settings->getViewFormat("discount_code");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("discount_code")))
		$class = ' rnr-field-number';
		
	$xt->assign("discount_code_class", $class); // add class for field header as field value
	$xt->assign("sales_rep_mastervalue", $viewControls->showDBValue("sales_rep", $data, $keylink));
	$format = $settings->getViewFormat("sales_rep");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("sales_rep")))
		$class = ' rnr-field-number';
		
	$xt->assign("sales_rep_class", $class); // add class for field header as field value
	$xt->assign("currency_mastervalue", $viewControls->showDBValue("currency", $data, $keylink));
	$format = $settings->getViewFormat("currency");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("currency")))
		$class = ' rnr-field-number';
		
	$xt->assign("currency_class", $class); // add class for field header as field value
	$xt->assign("exchange_rate_mastervalue", $viewControls->showDBValue("exchange_rate", $data, $keylink));
	$format = $settings->getViewFormat("exchange_rate");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("exchange_rate")))
		$class = ' rnr-field-number';
		
	$xt->assign("exchange_rate_class", $class); // add class for field header as field value
	$xt->assign("checked_by_mastervalue", $viewControls->showDBValue("checked_by", $data, $keylink));
	$format = $settings->getViewFormat("checked_by");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("checked_by")))
		$class = ' rnr-field-number';
		
	$xt->assign("checked_by_class", $class); // add class for field header as field value
	$xt->assign("approved_by_mastervalue", $viewControls->showDBValue("approved_by", $data, $keylink));
	$format = $settings->getViewFormat("approved_by");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("approved_by")))
		$class = ' rnr-field-number';
		
	$xt->assign("approved_by_class", $class); // add class for field header as field value
	$xt->assign("deferred_output_vat_account_mastervalue", $viewControls->showDBValue("deferred_output_vat_account", $data, $keylink));
	$format = $settings->getViewFormat("deferred_output_vat_account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("deferred_output_vat_account")))
		$class = ' rnr-field-number';
		
	$xt->assign("deferred_output_vat_account_class", $class); // add class for field header as field value
	$xt->assign("quotation_no_mastervalue", $viewControls->showDBValue("quotation_no", $data, $keylink));
	$format = $settings->getViewFormat("quotation_no");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("quotation_no")))
		$class = ' rnr-field-number';
		
	$xt->assign("quotation_no_class", $class); // add class for field header as field value
	$xt->assign("reimbursable_charge_mastervalue", $viewControls->showDBValue("reimbursable_charge", $data, $keylink));
	$format = $settings->getViewFormat("reimbursable_charge");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("reimbursable_charge")))
		$class = ' rnr-field-number';
		
	$xt->assign("reimbursable_charge_class", $class); // add class for field header as field value
	$xt->assign("reimbursable_charge_total_mastervalue", $viewControls->showDBValue("reimbursable_charge_total", $data, $keylink));
	$format = $settings->getViewFormat("reimbursable_charge_total");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("reimbursable_charge_total")))
		$class = ' rnr-field-number';
		
	$xt->assign("reimbursable_charge_total_class", $class); // add class for field header as field value
	$xt->assign("others_total_mastervalue", $viewControls->showDBValue("others_total", $data, $keylink));
	$format = $settings->getViewFormat("others_total");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("others_total")))
		$class = ' rnr-field-number';
		
	$xt->assign("others_total_class", $class); // add class for field header as field value
	$xt->assign("Statement_of_Charge_PHP_only_mastervalue", $viewControls->showDBValue("Statement of Charge PHP only", $data, $keylink));
	$format = $settings->getViewFormat("Statement of Charge PHP only");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Statement of Charge PHP only")))
		$class = ' rnr-field-number';
		
	$xt->assign("Statement_of_Charge_PHP_only_class", $class); // add class for field header as field value
	$xt->assign("Deposit__Credit__Note_PHP_only_mastervalue", $viewControls->showDBValue("Deposit (Credit) Note PHP only", $data, $keylink));
	$format = $settings->getViewFormat("Deposit (Credit) Note PHP only");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Deposit (Credit) Note PHP only")))
		$class = ' rnr-field-number';
		
	$xt->assign("Deposit__Credit__Note_PHP_only_class", $class); // add class for field header as field value
	$xt->assign("Statement_of_Charge_w__USD_mastervalue", $viewControls->showDBValue("Statement of Charge w/ USD", $data, $keylink));
	$format = $settings->getViewFormat("Statement of Charge w/ USD");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Statement of Charge w/ USD")))
		$class = ' rnr-field-number';
		
	$xt->assign("Statement_of_Charge_w__USD_class", $class); // add class for field header as field value
	$xt->assign("Deposit__Credit__Note_w__USD_mastervalue", $viewControls->showDBValue("Deposit (Credit) Note w/ USD", $data, $keylink));
	$format = $settings->getViewFormat("Deposit (Credit) Note w/ USD");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Deposit (Credit) Note w/ USD")))
		$class = ' rnr-field-number';
		
	$xt->assign("Deposit__Credit__Note_w__USD_class", $class); // add class for field header as field value
	$xt->assign("address_mastervalue", $viewControls->showDBValue("address", $data, $keylink));
	$format = $settings->getViewFormat("address");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("address")))
		$class = ' rnr-field-number';
		
	$xt->assign("address_class", $class); // add class for field header as field value
	$xt->assign("center2_mastervalue", $viewControls->showDBValue("center2", $data, $keylink));
	$format = $settings->getViewFormat("center2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("center2")))
		$class = ' rnr-field-number';
		
	$xt->assign("center2_class", $class); // add class for field header as field value
	$xt->assign("charges2_mastervalue", $viewControls->showDBValue("charges2", $data, $keylink));
	$format = $settings->getViewFormat("charges2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("charges2")))
		$class = ' rnr-field-number';
		
	$xt->assign("charges2_class", $class); // add class for field header as field value
	$xt->assign("qty2_mastervalue", $viewControls->showDBValue("qty2", $data, $keylink));
	$format = $settings->getViewFormat("qty2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("qty2")))
		$class = ' rnr-field-number';
		
	$xt->assign("qty2_class", $class); // add class for field header as field value
	$xt->assign("accountno2_mastervalue", $viewControls->showDBValue("accountno2", $data, $keylink));
	$format = $settings->getViewFormat("accountno2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("accountno2")))
		$class = ' rnr-field-number';
		
	$xt->assign("accountno2_class", $class); // add class for field header as field value
	$xt->assign("account2_mastervalue", $viewControls->showDBValue("account2", $data, $keylink));
	$format = $settings->getViewFormat("account2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("account2")))
		$class = ' rnr-field-number';
		
	$xt->assign("account2_class", $class); // add class for field header as field value
	$xt->assign("um2_mastervalue", $viewControls->showDBValue("um2", $data, $keylink));
	$format = $settings->getViewFormat("um2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("um2")))
		$class = ' rnr-field-number';
		
	$xt->assign("um2_class", $class); // add class for field header as field value
	$xt->assign("description2_mastervalue", $viewControls->showDBValue("description2", $data, $keylink));
	$format = $settings->getViewFormat("description2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("description2")))
		$class = ' rnr-field-number';
		
	$xt->assign("description2_class", $class); // add class for field header as field value
	$xt->assign("price2_mastervalue", $viewControls->showDBValue("price2", $data, $keylink));
	$format = $settings->getViewFormat("price2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("price2")))
		$class = ' rnr-field-number';
		
	$xt->assign("price2_class", $class); // add class for field header as field value
	$xt->assign("multiplier2_mastervalue", $viewControls->showDBValue("multiplier2", $data, $keylink));
	$format = $settings->getViewFormat("multiplier2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("multiplier2")))
		$class = ' rnr-field-number';
		
	$xt->assign("multiplier2_class", $class); // add class for field header as field value
	$xt->assign("amount2_mastervalue", $viewControls->showDBValue("amount2", $data, $keylink));
	$format = $settings->getViewFormat("amount2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("amount2")))
		$class = ' rnr-field-number';
		
	$xt->assign("amount2_class", $class); // add class for field header as field value
	$xt->assign("dollar2_mastervalue", $viewControls->showDBValue("dollar2", $data, $keylink));
	$format = $settings->getViewFormat("dollar2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("dollar2")))
		$class = ' rnr-field-number';
		
	$xt->assign("dollar2_class", $class); // add class for field header as field value
	$xt->assign("peso2_mastervalue", $viewControls->showDBValue("peso2", $data, $keylink));
	$format = $settings->getViewFormat("peso2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("peso2")))
		$class = ' rnr-field-number';
		
	$xt->assign("peso2_class", $class); // add class for field header as field value
	$xt->assign("vattype2_mastervalue", $viewControls->showDBValue("vattype2", $data, $keylink));
	$format = $settings->getViewFormat("vattype2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("vattype2")))
		$class = ' rnr-field-number';
		
	$xt->assign("vattype2_class", $class); // add class for field header as field value
	$xt->assign("ewtatc2_mastervalue", $viewControls->showDBValue("ewtatc2", $data, $keylink));
	$format = $settings->getViewFormat("ewtatc2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("ewtatc2")))
		$class = ' rnr-field-number';
		
	$xt->assign("ewtatc2_class", $class); // add class for field header as field value
	$xt->assign("type_mastervalue", $viewControls->showDBValue("type", $data, $keylink));
	$format = $settings->getViewFormat("type");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("type")))
		$class = ' rnr-field-number';
		
	$xt->assign("type_class", $class); // add class for field header as field value
	$xt->assign("format_mastervalue", $viewControls->showDBValue("format", $data, $keylink));
	$format = $settings->getViewFormat("format");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("format")))
		$class = ' rnr-field-number';
		
	$xt->assign("format_class", $class); // add class for field header as field value
	$xt->assign("currency_dd_mastervalue", $viewControls->showDBValue("currency_dd", $data, $keylink));
	$format = $settings->getViewFormat("currency_dd");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("currency_dd")))
		$class = ' rnr-field-number';
		
	$xt->assign("currency_dd_class", $class); // add class for field header as field value
	$xt->assign("journal_mastervalue", $viewControls->showDBValue("journal", $data, $keylink));
	$format = $settings->getViewFormat("journal");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("journal")))
		$class = ' rnr-field-number';
		
	$xt->assign("journal_class", $class); // add class for field header as field value
	$xt->assign("vatrate2_mastervalue", $viewControls->showDBValue("vatrate2", $data, $keylink));
	$format = $settings->getViewFormat("vatrate2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("vatrate2")))
		$class = ' rnr-field-number';
		
	$xt->assign("vatrate2_class", $class); // add class for field header as field value
	$xt->assign("ewtrate2_mastervalue", $viewControls->showDBValue("ewtrate2", $data, $keylink));
	$format = $settings->getViewFormat("ewtrate2");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("ewtrate2")))
		$class = ' rnr-field-number';
		
	$xt->assign("ewtrate2_class", $class); // add class for field header as field value
	$xt->assign("computation_mastervalue", $viewControls->showDBValue("computation", $data, $keylink));
	$format = $settings->getViewFormat("computation");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("computation")))
		$class = ' rnr-field-number';
		
	$xt->assign("computation_class", $class); // add class for field header as field value
	$xt->assign("date_canceled_mastervalue", $viewControls->showDBValue("date_canceled", $data, $keylink));
	$format = $settings->getViewFormat("date_canceled");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("date_canceled")))
		$class = ' rnr-field-number';
		
	$xt->assign("date_canceled_class", $class); // add class for field header as field value
	$xt->assign("sub_invoice_mastervalue", $viewControls->showDBValue("sub_invoice", $data, $keylink));
	$format = $settings->getViewFormat("sub_invoice");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("sub_invoice")))
		$class = ' rnr-field-number';
		
	$xt->assign("sub_invoice_class", $class); // add class for field header as field value
	$xt->assign("type_of_invoice_mastervalue", $viewControls->showDBValue("type_of_invoice", $data, $keylink));
	$format = $settings->getViewFormat("type_of_invoice");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("type_of_invoice")))
		$class = ' rnr-field-number';
		
	$xt->assign("type_of_invoice_class", $class); // add class for field header as field value

	$layout = GetPageLayout("sales", 'masterlist');
	if( $layout )
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');
	
	$xt->displayPartial(GetTemplateName("sales", "masterlist"));
}

?>