<?php
@ini_set("display_errors","1");
@ini_set("display_startup_errors","1");

require_once("include/dbcommon.php");
header("Expires: Thu, 01 Jan 1970 00:00:01 GMT"); 

require_once("include/2301_variables.php");

$mode = postvalue("mode");

if(!isLogged())
{ 
	return;
}
if(!CheckSecurity(@$_SESSION["_".$strTableName."_OwnerID"],"Search"))
{
	return;
}

require_once("classes/searchclause.php");

$cipherer = new RunnerCipherer($strTableName);

require_once('include/xtempl.php');
$xt = new Xtempl();





$layout = new TLayout("detailspreview", "BreezeDeliciousGray", "MobileDeliciousGray");
$layout->version = 2;
$layout->blocks["bare"] = array();
$layout->containers["dcount"] = array();
$layout->container_properties["dcount"] = array(  );
$layout->containers["dcount"][] = array("name"=>"detailspreviewheader", 
	"block"=>"", "substyle"=>1  );

$layout->containers["dcount"][] = array("name"=>"detailspreviewdetailsfount", 
	"block"=>"", "substyle"=>1  );

$layout->containers["dcount"][] = array("name"=>"detailspreviewdispfirst", 
	"block"=>"display_first", "substyle"=>1  );

$layout->skins["dcount"] = "empty";

$layout->blocks["bare"][] = "dcount";
$layout->containers["detailspreviewgrid"] = array();
$layout->container_properties["detailspreviewgrid"] = array(  );
$layout->containers["detailspreviewgrid"][] = array("name"=>"detailspreviewfields", 
	"block"=>"details_data", "substyle"=>1  );

$layout->skins["detailspreviewgrid"] = "grid";

$layout->blocks["bare"][] = "detailspreviewgrid";
$page_layouts["2301_detailspreview"] = $layout;

$layout->skinsparams = array();
$layout->skinsparams["empty"] = array("button"=>"button2");
$layout->skinsparams["menu"] = array("button"=>"button1");
$layout->skinsparams["hmenu"] = array("button"=>"button1");
$layout->skinsparams["undermenu"] = array("button"=>"button1");
$layout->skinsparams["fields"] = array("button"=>"button1");
$layout->skinsparams["form"] = array("button"=>"button1");
$layout->skinsparams["1"] = array("button"=>"button1");
$layout->skinsparams["2"] = array("button"=>"button2");
$layout->skinsparams["3"] = array("button"=>"button1");



$recordsCounter = 0;

//	process masterkey value
$mastertable = postvalue("mastertable");
$masterKeys = my_json_decode(postvalue("masterKeys"));
$sessionPrefix = "_detailsPreview";
if($mastertable != "")
{
	$_SESSION[$sessionPrefix."_mastertable"]=$mastertable;
//	copy keys to session
	$i = 1;
	if(is_array($masterKeys) && count($masterKeys) > 0)
	{
		while(array_key_exists ("masterkey".$i, $masterKeys))
		{
			$_SESSION[$sessionPrefix."_masterkey".$i] = $masterKeys["masterkey".$i];
			$i++;
		}
	}
	if(isset($_SESSION[$sessionPrefix."_masterkey".$i]))
		unset($_SESSION[$sessionPrefix."_masterkey".$i]);
}
else
	$mastertable = $_SESSION[$sessionPrefix."_mastertable"];

$params = array();
$params['id'] = 1;
$params['xt'] = &$xt;
$params['tName'] = $strTableName;
$params['pageType'] = "detailspreview";
$pageObject = new DetailsPreview($params);

if($mastertable == "employee_list")
{
	$where = "";
		$formattedValue = make_db_value("bp_id",$_SESSION[$sessionPrefix."_masterkey1"]);
	if( $formattedValue == "null" )
		$where .= $pageObject->getFieldSQLDecrypt("bp_id") . "is null";
	else
		$where .= $pageObject->getFieldSQLDecrypt("bp_id") . "=" . $formattedValue;
}

$str = SecuritySQL("Search", $strTableName);
if(strlen($str))
	$where.=" and ".$str;
$strSQL = $gQuery->gSQLWhere($where);

$strSQL.=" ".$gstrOrderBy;

$rowcount = $gQuery->gSQLRowCount($where, $pageObject->connection);
$xt->assign("row_count",$rowcount);
if($rowcount) 
{
	$xt->assign("details_data",true);

	$display_count = 10;
	if($mode == "inline")
		$display_count*=2;
		
	if($rowcount>$display_count+2)
	{
		$xt->assign("display_first",true);
		$xt->assign("display_count",$display_count);
	}
	else
		$display_count = $rowcount;

	$rowinfo = array();
	
	require_once getabspath('classes/controls/ViewControlsContainer.php');
	$pSet = new ProjectSettings($strTableName, PAGE_LIST);
	$viewContainer = new ViewControlsContainer($pSet, PAGE_LIST);
	$viewContainer->isDetailsPreview = true;

	$b = true;
	$qResult = $pageObject->connection->query( $strSQL );
	$data = $cipherer->DecryptFetchedArray( $qResult->fetchAssoc() );
	while($data && $recordsCounter<$display_count) {
		$recordsCounter++;
		$row = array();
		$keylink = "";
		$keylink.="&key1=".runner_htmlspecialchars(rawurlencode(@$data["id"]));
	
	
	//	emp_no - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("emp_no", $data, $keylink);
			$row["emp_no_value"] = $value;
			$format = $pSet->getViewFormat("emp_no");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("emp_no")))
				$class = ' rnr-field-number';
			$row["emp_no_class"] = $class;
	//	last_name - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("last_name", $data, $keylink);
			$row["last_name_value"] = $value;
			$format = $pSet->getViewFormat("last_name");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("last_name")))
				$class = ' rnr-field-number';
			$row["last_name_class"] = $class;
	//	first_name - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("first_name", $data, $keylink);
			$row["first_name_value"] = $value;
			$format = $pSet->getViewFormat("first_name");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("first_name")))
				$class = ' rnr-field-number';
			$row["first_name_class"] = $class;
	//	middle_name - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("middle_name", $data, $keylink);
			$row["middle_name_value"] = $value;
			$format = $pSet->getViewFormat("middle_name");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("middle_name")))
				$class = ' rnr-field-number';
			$row["middle_name_class"] = $class;
	//	middle_initial - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("middle_initial", $data, $keylink);
			$row["middle_initial_value"] = $value;
			$format = $pSet->getViewFormat("middle_initial");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("middle_initial")))
				$class = ' rnr-field-number';
			$row["middle_initial_class"] = $class;
	//	suffix_name - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("suffix_name", $data, $keylink);
			$row["suffix_name_value"] = $value;
			$format = $pSet->getViewFormat("suffix_name");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("suffix_name")))
				$class = ' rnr-field-number';
			$row["suffix_name_class"] = $class;
	//	gender - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("gender", $data, $keylink);
			$row["gender_value"] = $value;
			$format = $pSet->getViewFormat("gender");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("gender")))
				$class = ' rnr-field-number';
			$row["gender_class"] = $class;
	//	birthday - Short Date
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("birthday", $data, $keylink);
			$row["birthday_value"] = $value;
			$format = $pSet->getViewFormat("birthday");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("birthday")))
				$class = ' rnr-field-number';
			$row["birthday_class"] = $class;
	//	birth_place - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("birth_place", $data, $keylink);
			$row["birth_place_value"] = $value;
			$format = $pSet->getViewFormat("birth_place");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("birth_place")))
				$class = ' rnr-field-number';
			$row["birth_place_class"] = $class;
	//	religion - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("religion", $data, $keylink);
			$row["religion_value"] = $value;
			$format = $pSet->getViewFormat("religion");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("religion")))
				$class = ' rnr-field-number';
			$row["religion_class"] = $class;
	//	height - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("height", $data, $keylink);
			$row["height_value"] = $value;
			$format = $pSet->getViewFormat("height");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("height")))
				$class = ' rnr-field-number';
			$row["height_class"] = $class;
	//	weight - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("weight", $data, $keylink);
			$row["weight_value"] = $value;
			$format = $pSet->getViewFormat("weight");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("weight")))
				$class = ' rnr-field-number';
			$row["weight_class"] = $class;
	//	shirt_size - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("shirt_size", $data, $keylink);
			$row["shirt_size_value"] = $value;
			$format = $pSet->getViewFormat("shirt_size");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("shirt_size")))
				$class = ' rnr-field-number';
			$row["shirt_size_class"] = $class;
	//	shoe_size - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("shoe_size", $data, $keylink);
			$row["shoe_size_value"] = $value;
			$format = $pSet->getViewFormat("shoe_size");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("shoe_size")))
				$class = ' rnr-field-number';
			$row["shoe_size_class"] = $class;
	//	complete_address - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("complete_address", $data, $keylink);
			$row["complete_address_value"] = $value;
			$format = $pSet->getViewFormat("complete_address");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("complete_address")))
				$class = ' rnr-field-number';
			$row["complete_address_class"] = $class;
	//	landmark - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("landmark", $data, $keylink);
			$row["landmark_value"] = $value;
			$format = $pSet->getViewFormat("landmark");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("landmark")))
				$class = ' rnr-field-number';
			$row["landmark_class"] = $class;
	//	lat - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("lat", $data, $keylink);
			$row["lat_value"] = $value;
			$format = $pSet->getViewFormat("lat");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("lat")))
				$class = ' rnr-field-number';
			$row["lat_class"] = $class;
	//	long - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("long", $data, $keylink);
			$row["long_value"] = $value;
			$format = $pSet->getViewFormat("long");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("long")))
				$class = ' rnr-field-number';
			$row["long_class"] = $class;
	//	telephone - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("telephone", $data, $keylink);
			$row["telephone_value"] = $value;
			$format = $pSet->getViewFormat("telephone");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("telephone")))
				$class = ' rnr-field-number';
			$row["telephone_class"] = $class;
	//	mobile_number - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("mobile_number", $data, $keylink);
			$row["mobile_number_value"] = $value;
			$format = $pSet->getViewFormat("mobile_number");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("mobile_number")))
				$class = ' rnr-field-number';
			$row["mobile_number_class"] = $class;
	//	personal_email - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("personal_email", $data, $keylink);
			$row["personal_email_value"] = $value;
			$format = $pSet->getViewFormat("personal_email");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("personal_email")))
				$class = ' rnr-field-number';
			$row["personal_email_class"] = $class;
	//	work_email - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("work_email", $data, $keylink);
			$row["work_email_value"] = $value;
			$format = $pSet->getViewFormat("work_email");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("work_email")))
				$class = ' rnr-field-number';
			$row["work_email_class"] = $class;
	//	fathers_name - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("fathers_name", $data, $keylink);
			$row["fathers_name_value"] = $value;
			$format = $pSet->getViewFormat("fathers_name");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("fathers_name")))
				$class = ' rnr-field-number';
			$row["fathers_name_class"] = $class;
	//	fathers_birthdate - Short Date
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("fathers_birthdate", $data, $keylink);
			$row["fathers_birthdate_value"] = $value;
			$format = $pSet->getViewFormat("fathers_birthdate");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("fathers_birthdate")))
				$class = ' rnr-field-number';
			$row["fathers_birthdate_class"] = $class;
	//	occupationf - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("occupationf", $data, $keylink);
			$row["occupationf_value"] = $value;
			$format = $pSet->getViewFormat("occupationf");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("occupationf")))
				$class = ' rnr-field-number';
			$row["occupationf_class"] = $class;
	//	mothers_name - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("mothers_name", $data, $keylink);
			$row["mothers_name_value"] = $value;
			$format = $pSet->getViewFormat("mothers_name");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("mothers_name")))
				$class = ' rnr-field-number';
			$row["mothers_name_class"] = $class;
	//	mother_birthdate - Short Date
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("mother_birthdate", $data, $keylink);
			$row["mother_birthdate_value"] = $value;
			$format = $pSet->getViewFormat("mother_birthdate");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("mother_birthdate")))
				$class = ' rnr-field-number';
			$row["mother_birthdate_class"] = $class;
	//	occupationm - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("occupationm", $data, $keylink);
			$row["occupationm_value"] = $value;
			$format = $pSet->getViewFormat("occupationm");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("occupationm")))
				$class = ' rnr-field-number';
			$row["occupationm_class"] = $class;
	//	spouse_name - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("spouse_name", $data, $keylink);
			$row["spouse_name_value"] = $value;
			$format = $pSet->getViewFormat("spouse_name");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("spouse_name")))
				$class = ' rnr-field-number';
			$row["spouse_name_class"] = $class;
	//	spouse_birthdate - Short Date
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("spouse_birthdate", $data, $keylink);
			$row["spouse_birthdate_value"] = $value;
			$format = $pSet->getViewFormat("spouse_birthdate");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("spouse_birthdate")))
				$class = ' rnr-field-number';
			$row["spouse_birthdate_class"] = $class;
	//	occupations - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("occupations", $data, $keylink);
			$row["occupations_value"] = $value;
			$format = $pSet->getViewFormat("occupations");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("occupations")))
				$class = ' rnr-field-number';
			$row["occupations_class"] = $class;
	//	no_dependent - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("no_dependent", $data, $keylink);
			$row["no_dependent_value"] = $value;
			$format = $pSet->getViewFormat("no_dependent");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("no_dependent")))
				$class = ' rnr-field-number';
			$row["no_dependent_class"] = $class;
	//	date_hired - Short Date
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("date_hired", $data, $keylink);
			$row["date_hired_value"] = $value;
			$format = $pSet->getViewFormat("date_hired");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("date_hired")))
				$class = ' rnr-field-number';
			$row["date_hired_class"] = $class;
	//	date_finish - Short Date
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("date_finish", $data, $keylink);
			$row["date_finish_value"] = $value;
			$format = $pSet->getViewFormat("date_finish");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("date_finish")))
				$class = ' rnr-field-number';
			$row["date_finish_class"] = $class;
	//	date_clearance - Short Date
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("date_clearance", $data, $keylink);
			$row["date_clearance_value"] = $value;
			$format = $pSet->getViewFormat("date_clearance");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("date_clearance")))
				$class = ' rnr-field-number';
			$row["date_clearance_class"] = $class;
	//	employment_status - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("employment_status", $data, $keylink);
			$row["employment_status_value"] = $value;
			$format = $pSet->getViewFormat("employment_status");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("employment_status")))
				$class = ' rnr-field-number';
			$row["employment_status_class"] = $class;
	//	payroll_mode - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("payroll_mode", $data, $keylink);
			$row["payroll_mode_value"] = $value;
			$format = $pSet->getViewFormat("payroll_mode");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("payroll_mode")))
				$class = ' rnr-field-number';
			$row["payroll_mode_class"] = $class;
	//	payroll_terms - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("payroll_terms", $data, $keylink);
			$row["payroll_terms_value"] = $value;
			$format = $pSet->getViewFormat("payroll_terms");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("payroll_terms")))
				$class = ' rnr-field-number';
			$row["payroll_terms_class"] = $class;
	//	rate - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("rate", $data, $keylink);
			$row["rate_value"] = $value;
			$format = $pSet->getViewFormat("rate");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("rate")))
				$class = ' rnr-field-number';
			$row["rate_class"] = $class;
	//	position - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("position", $data, $keylink);
			$row["position_value"] = $value;
			$format = $pSet->getViewFormat("position");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("position")))
				$class = ' rnr-field-number';
			$row["position_class"] = $class;
	//	cola_amount - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("cola_amount", $data, $keylink);
			$row["cola_amount_value"] = $value;
			$format = $pSet->getViewFormat("cola_amount");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("cola_amount")))
				$class = ' rnr-field-number';
			$row["cola_amount_class"] = $class;
	//	department - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("department", $data, $keylink);
			$row["department_value"] = $value;
			$format = $pSet->getViewFormat("department");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("department")))
				$class = ' rnr-field-number';
			$row["department_class"] = $class;
	//	benefits - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("benefits", $data, $keylink);
			$row["benefits_value"] = $value;
			$format = $pSet->getViewFormat("benefits");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("benefits")))
				$class = ' rnr-field-number';
			$row["benefits_class"] = $class;
	//	pagibig_contribution - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("pagibig_contribution", $data, $keylink);
			$row["pagibig_contribution_value"] = $value;
			$format = $pSet->getViewFormat("pagibig_contribution");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("pagibig_contribution")))
				$class = ' rnr-field-number';
			$row["pagibig_contribution_class"] = $class;
	//	with_sss - Checkbox
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("with_sss", $data, $keylink);
			$row["with_sss_value"] = $value;
			$format = $pSet->getViewFormat("with_sss");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("with_sss")))
				$class = ' rnr-field-number';
			$row["with_sss_class"] = $class;
	//	sss_no - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("sss_no", $data, $keylink);
			$row["sss_no_value"] = $value;
			$format = $pSet->getViewFormat("sss_no");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("sss_no")))
				$class = ' rnr-field-number';
			$row["sss_no_class"] = $class;
	//	with_philhealth - Checkbox
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("with_philhealth", $data, $keylink);
			$row["with_philhealth_value"] = $value;
			$format = $pSet->getViewFormat("with_philhealth");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("with_philhealth")))
				$class = ' rnr-field-number';
			$row["with_philhealth_class"] = $class;
	//	philhealth_no - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("philhealth_no", $data, $keylink);
			$row["philhealth_no_value"] = $value;
			$format = $pSet->getViewFormat("philhealth_no");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("philhealth_no")))
				$class = ' rnr-field-number';
			$row["philhealth_no_class"] = $class;
	//	with_pagibig - Checkbox
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("with_pagibig", $data, $keylink);
			$row["with_pagibig_value"] = $value;
			$format = $pSet->getViewFormat("with_pagibig");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("with_pagibig")))
				$class = ' rnr-field-number';
			$row["with_pagibig_class"] = $class;
	//	pagibig_no - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("pagibig_no", $data, $keylink);
			$row["pagibig_no_value"] = $value;
			$format = $pSet->getViewFormat("pagibig_no");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("pagibig_no")))
				$class = ' rnr-field-number';
			$row["pagibig_no_class"] = $class;
	//	with_tin - Checkbox
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("with_tin", $data, $keylink);
			$row["with_tin_value"] = $value;
			$format = $pSet->getViewFormat("with_tin");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("with_tin")))
				$class = ' rnr-field-number';
			$row["with_tin_class"] = $class;
	//	tax_status - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("tax_status", $data, $keylink);
			$row["tax_status_value"] = $value;
			$format = $pSet->getViewFormat("tax_status");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("tax_status")))
				$class = ' rnr-field-number';
			$row["tax_status_class"] = $class;
	//	tin_no - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("tin_no", $data, $keylink);
			$row["tin_no_value"] = $value;
			$format = $pSet->getViewFormat("tin_no");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("tin_no")))
				$class = ' rnr-field-number';
			$row["tin_no_class"] = $class;
	//	bank_account_no - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("bank_account_no", $data, $keylink);
			$row["bank_account_no_value"] = $value;
			$format = $pSet->getViewFormat("bank_account_no");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("bank_account_no")))
				$class = ' rnr-field-number';
			$row["bank_account_no_class"] = $class;
	//	with_overtime - Checkbox
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("with_overtime", $data, $keylink);
			$row["with_overtime_value"] = $value;
			$format = $pSet->getViewFormat("with_overtime");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("with_overtime")))
				$class = ' rnr-field-number';
			$row["with_overtime_class"] = $class;
	//	with_tardiness - Checkbox
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("with_tardiness", $data, $keylink);
			$row["with_tardiness_value"] = $value;
			$format = $pSet->getViewFormat("with_tardiness");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("with_tardiness")))
				$class = ' rnr-field-number';
			$row["with_tardiness_class"] = $class;
	//	with_undertime - Checkbox
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("with_undertime", $data, $keylink);
			$row["with_undertime_value"] = $value;
			$format = $pSet->getViewFormat("with_undertime");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("with_undertime")))
				$class = ' rnr-field-number';
			$row["with_undertime_class"] = $class;
	//	no_sick_leave - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("no_sick_leave", $data, $keylink);
			$row["no_sick_leave_value"] = $value;
			$format = $pSet->getViewFormat("no_sick_leave");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("no_sick_leave")))
				$class = ' rnr-field-number';
			$row["no_sick_leave_class"] = $class;
	//	no_vacation_leave - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("no_vacation_leave", $data, $keylink);
			$row["no_vacation_leave_value"] = $value;
			$format = $pSet->getViewFormat("no_vacation_leave");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("no_vacation_leave")))
				$class = ' rnr-field-number';
			$row["no_vacation_leave_class"] = $class;
	//	schedule_code - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("schedule_code", $data, $keylink);
			$row["schedule_code_value"] = $value;
			$format = $pSet->getViewFormat("schedule_code");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("schedule_code")))
				$class = ' rnr-field-number';
			$row["schedule_code_class"] = $class;
	//	picture - Document Download
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("picture", $data, $keylink);
			$row["picture_value"] = $value;
			$format = $pSet->getViewFormat("picture");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("picture")))
				$class = ' rnr-field-number';
			$row["picture_class"] = $class;
	//	signature - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("signature", $data, $keylink);
			$row["signature_value"] = $value;
			$format = $pSet->getViewFormat("signature");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("signature")))
				$class = ' rnr-field-number';
			$row["signature_class"] = $class;
	//	peson_incase_of_emergency - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("peson_incase_of_emergency", $data, $keylink);
			$row["peson_incase_of_emergency_value"] = $value;
			$format = $pSet->getViewFormat("peson_incase_of_emergency");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("peson_incase_of_emergency")))
				$class = ' rnr-field-number';
			$row["peson_incase_of_emergency_class"] = $class;
	//	contact_number - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("contact_number", $data, $keylink);
			$row["contact_number_value"] = $value;
			$format = $pSet->getViewFormat("contact_number");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("contact_number")))
				$class = ' rnr-field-number';
			$row["contact_number_class"] = $class;
	//	relation_contactno - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("relation_contactno", $data, $keylink);
			$row["relation_contactno_value"] = $value;
			$format = $pSet->getViewFormat("relation_contactno");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("relation_contactno")))
				$class = ' rnr-field-number';
			$row["relation_contactno_class"] = $class;
	//	mode_transpo - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("mode_transpo", $data, $keylink);
			$row["mode_transpo_value"] = $value;
			$format = $pSet->getViewFormat("mode_transpo");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("mode_transpo")))
				$class = ' rnr-field-number';
			$row["mode_transpo_class"] = $class;
	//	no_days - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("no_days", $data, $keylink);
			$row["no_days_value"] = $value;
			$format = $pSet->getViewFormat("no_days");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("no_days")))
				$class = ' rnr-field-number';
			$row["no_days_class"] = $class;
	//	daily_rate - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("daily_rate", $data, $keylink);
			$row["daily_rate_value"] = $value;
			$format = $pSet->getViewFormat("daily_rate");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("daily_rate")))
				$class = ' rnr-field-number';
			$row["daily_rate_class"] = $class;
	//	no_hours - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("no_hours", $data, $keylink);
			$row["no_hours_value"] = $value;
			$format = $pSet->getViewFormat("no_hours");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("no_hours")))
				$class = ' rnr-field-number';
			$row["no_hours_class"] = $class;
	//	hourly_rate - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("hourly_rate", $data, $keylink);
			$row["hourly_rate_value"] = $value;
			$format = $pSet->getViewFormat("hourly_rate");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("hourly_rate")))
				$class = ' rnr-field-number';
			$row["hourly_rate_class"] = $class;
	//	bank - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("bank", $data, $keylink);
			$row["bank_value"] = $value;
			$format = $pSet->getViewFormat("bank");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("bank")))
				$class = ' rnr-field-number';
			$row["bank_class"] = $class;
	//	login_access - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("login_access", $data, $keylink);
			$row["login_access_value"] = $value;
			$format = $pSet->getViewFormat("login_access");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("login_access")))
				$class = ' rnr-field-number';
			$row["login_access_class"] = $class;
	//	password - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("password", $data, $keylink);
			$row["password_value"] = $value;
			$format = $pSet->getViewFormat("password");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("password")))
				$class = ' rnr-field-number';
			$row["password_class"] = $class;
	//	approver - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("approver", $data, $keylink);
			$row["approver_value"] = $value;
			$format = $pSet->getViewFormat("approver");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("approver")))
				$class = ' rnr-field-number';
			$row["approver_class"] = $class;
	//	Map - Map
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Map", $data, $keylink);
			$row["Map_value"] = $value;
			$format = $pSet->getViewFormat("Map");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Map")))
				$class = ' rnr-field-number';
			$row["Map_class"] = $class;
	//	checker - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("checker", $data, $keylink);
			$row["checker_value"] = $value;
			$format = $pSet->getViewFormat("checker");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("checker")))
				$class = ' rnr-field-number';
			$row["checker_class"] = $class;
	//	statutory_computation - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("statutory_computation", $data, $keylink);
			$row["statutory_computation_value"] = $value;
			$format = $pSet->getViewFormat("statutory_computation");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("statutory_computation")))
				$class = ' rnr-field-number';
			$row["statutory_computation_class"] = $class;
	//	with_night_diff - Checkbox
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("with_night_diff", $data, $keylink);
			$row["with_night_diff_value"] = $value;
			$format = $pSet->getViewFormat("with_night_diff");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("with_night_diff")))
				$class = ' rnr-field-number';
			$row["with_night_diff_class"] = $class;
	//	deductions - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("deductions", $data, $keylink);
			$row["deductions_value"] = $value;
			$format = $pSet->getViewFormat("deductions");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("deductions")))
				$class = ' rnr-field-number';
			$row["deductions_class"] = $class;
	//	sss_er - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("sss_er", $data, $keylink);
			$row["sss_er_value"] = $value;
			$format = $pSet->getViewFormat("sss_er");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("sss_er")))
				$class = ' rnr-field-number';
			$row["sss_er_class"] = $class;
	//	sss_ee - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("sss_ee", $data, $keylink);
			$row["sss_ee_value"] = $value;
			$format = $pSet->getViewFormat("sss_ee");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("sss_ee")))
				$class = ' rnr-field-number';
			$row["sss_ee_class"] = $class;
	//	ec_employer - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("ec_employer", $data, $keylink);
			$row["ec_employer_value"] = $value;
			$format = $pSet->getViewFormat("ec_employer");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("ec_employer")))
				$class = ' rnr-field-number';
			$row["ec_employer_class"] = $class;
	//	pagibig_er - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("pagibig_er", $data, $keylink);
			$row["pagibig_er_value"] = $value;
			$format = $pSet->getViewFormat("pagibig_er");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("pagibig_er")))
				$class = ' rnr-field-number';
			$row["pagibig_er_class"] = $class;
	//	pagibig_ee - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("pagibig_ee", $data, $keylink);
			$row["pagibig_ee_value"] = $value;
			$format = $pSet->getViewFormat("pagibig_ee");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("pagibig_ee")))
				$class = ' rnr-field-number';
			$row["pagibig_ee_class"] = $class;
	//	philhealth_er - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("philhealth_er", $data, $keylink);
			$row["philhealth_er_value"] = $value;
			$format = $pSet->getViewFormat("philhealth_er");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("philhealth_er")))
				$class = ' rnr-field-number';
			$row["philhealth_er_class"] = $class;
	//	philhealth_ee - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("philhealth_ee", $data, $keylink);
			$row["philhealth_ee_value"] = $value;
			$format = $pSet->getViewFormat("philhealth_ee");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("philhealth_ee")))
				$class = ' rnr-field-number';
			$row["philhealth_ee_class"] = $class;
	//	witholding_tax - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("witholding_tax", $data, $keylink);
			$row["witholding_tax_value"] = $value;
			$format = $pSet->getViewFormat("witholding_tax");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("witholding_tax")))
				$class = ' rnr-field-number';
			$row["witholding_tax_class"] = $class;
		$rowinfo[] = $row;
		if ($b) {
			$rowinfo2[] = $row;
			$b = false;
		}
		$data = $cipherer->DecryptFetchedArray( $qResult->fetchAssoc() );
	}
	$xt->assign_loopsection("details_row",$rowinfo);
	$xt->assign_loopsection("details_row_header",$rowinfo2); // assign class for header
}
$returnJSON = array("success" => true);
$xt->load_template(GetTemplateName("2301", "detailspreview"));
$returnJSON["body"] = $xt->fetch_loaded();

if($mode!="inline")
{
	$returnJSON["counter"] = postvalue("counter");
	$layout = GetPageLayout(GoodFieldName($strTableName), 'detailspreview');
	if($layout)
	{
		foreach($layout->getCSSFiles(isRTL(), isMobile()) as $css)
		{
			$returnJSON['CSSFiles'][] = $css;
		}
	}	
}	

echo printJSON($returnJSON);
exit();
?>