<?php
function DisplayMasterTableInfo_employee_list($params)
{
	$keys = $params["keys"];
	$detailtable = $params["detailtable"];
	$data = $params["masterRecordData"];
	
	$xt = new Xtempl();
	$tName = "employee_list";
	$xt->eventsObject = getEventObject($tName);
	
	include_once('classes/listpage.php');
	include_once('classes/listpage_simple.php');
	$mParams  = array();
	$mParams["xt"] = &$xt;
	$mParams["mode"] = LIST_MASTER;
	$mParams["pageType"] = PAGE_LIST;
	$mParams["flyId"] = $params["recId"];
	$masterPage = ListPage::createListPage($tName, $mParams);
	
	$settings = $masterPage->pSet;
	$viewControls = new ViewControlsContainer($settings, PAGE_LIST, $masterPage);
	
	$keysAssoc = array();
	$showKeys = "";	

	if($detailtable == "2301")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("employee_list","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "Loan_Dashboard")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("employee_list","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "Leave_Dashboard")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("employee_list","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "Over_Time_Dashboard")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("employee_list","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "Undertime_Dashboard")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("employee_list","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "Fieldwork_Dashboard")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("employee_list","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "Change_Time_Dashboard")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("employee_list","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "Transaction_Registry_Dashboard_Employee")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("employee_list","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if( !$data || !count($data) )
		return;
	
	// reassign pagetitlelabel function adding extra params
	$xt->assign_function("pagetitlelabel", "xt_pagetitlelabel", array("record" => $data, "settings" => $settings));
	
	$keylink = "";
	$keylink.= "&key1=".runner_htmlspecialchars(rawurlencode(@$data["id"]));
	
	$xt->assign("id_mastervalue", $viewControls->showDBValue("id", $data, $keylink));
	$format = $settings->getViewFormat("id");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("id")))
		$class = ' rnr-field-number';
		
	$xt->assign("id_class", $class); // add class for field header as field value
	$xt->assign("Name_mastervalue", $viewControls->showDBValue("Name", $data, $keylink));
	$format = $settings->getViewFormat("Name");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Name")))
		$class = ' rnr-field-number';
		
	$xt->assign("Name_class", $class); // add class for field header as field value
	$xt->assign("Contact_Number_mastervalue", $viewControls->showDBValue("Contact Number", $data, $keylink));
	$format = $settings->getViewFormat("Contact Number");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Contact Number")))
		$class = ' rnr-field-number';
		
	$xt->assign("Contact_Number_class", $class); // add class for field header as field value
	$xt->assign("Adress_Line_mastervalue", $viewControls->showDBValue("Adress Line", $data, $keylink));
	$format = $settings->getViewFormat("Adress Line");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Adress Line")))
		$class = ' rnr-field-number';
		
	$xt->assign("Adress_Line_class", $class); // add class for field header as field value
	$xt->assign("Telephone_mastervalue", $viewControls->showDBValue("Telephone", $data, $keylink));
	$format = $settings->getViewFormat("Telephone");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Telephone")))
		$class = ' rnr-field-number';
		
	$xt->assign("Telephone_class", $class); // add class for field header as field value
	$xt->assign("Email_Account_mastervalue", $viewControls->showDBValue("Email Account", $data, $keylink));
	$format = $settings->getViewFormat("Email Account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Email Account")))
		$class = ' rnr-field-number';
		
	$xt->assign("Email_Account_class", $class); // add class for field header as field value
	$xt->assign("Website_mastervalue", $viewControls->showDBValue("Website", $data, $keylink));
	$format = $settings->getViewFormat("Website");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Website")))
		$class = ' rnr-field-number';
		
	$xt->assign("Website_class", $class); // add class for field header as field value
	$xt->assign("TIN_no_mastervalue", $viewControls->showDBValue("TIN no", $data, $keylink));
	$format = $settings->getViewFormat("TIN no");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("TIN no")))
		$class = ' rnr-field-number';
		
	$xt->assign("TIN_no_class", $class); // add class for field header as field value
	$xt->assign("Vatable_mastervalue", $viewControls->showDBValue("Vatable", $data, $keylink));
	$format = $settings->getViewFormat("Vatable");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Vatable")))
		$class = ' rnr-field-number';
		
	$xt->assign("Vatable_class", $class); // add class for field header as field value
	$xt->assign("Default__Account_mastervalue", $viewControls->showDBValue("Default  Account", $data, $keylink));
	$format = $settings->getViewFormat("Default  Account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Default  Account")))
		$class = ' rnr-field-number';
		
	$xt->assign("Default__Account_class", $class); // add class for field header as field value
	$xt->assign("Reg_Name_mastervalue", $viewControls->showDBValue("Reg Name", $data, $keylink));
	$format = $settings->getViewFormat("Reg Name");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Reg Name")))
		$class = ' rnr-field-number';
		
	$xt->assign("Reg_Name_class", $class); // add class for field header as field value
	$xt->assign("Last_Name_mastervalue", $viewControls->showDBValue("Last Name", $data, $keylink));
	$format = $settings->getViewFormat("Last Name");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Last Name")))
		$class = ' rnr-field-number';
		
	$xt->assign("Last_Name_class", $class); // add class for field header as field value
	$xt->assign("First_Name_mastervalue", $viewControls->showDBValue("First Name", $data, $keylink));
	$format = $settings->getViewFormat("First Name");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("First Name")))
		$class = ' rnr-field-number';
		
	$xt->assign("First_Name_class", $class); // add class for field header as field value
	$xt->assign("Middle_Name_mastervalue", $viewControls->showDBValue("Middle Name", $data, $keylink));
	$format = $settings->getViewFormat("Middle Name");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Middle Name")))
		$class = ' rnr-field-number';
		
	$xt->assign("Middle_Name_class", $class); // add class for field header as field value
	$xt->assign("Trade_Name_mastervalue", $viewControls->showDBValue("Trade Name", $data, $keylink));
	$format = $settings->getViewFormat("Trade Name");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Trade Name")))
		$class = ' rnr-field-number';
		
	$xt->assign("Trade_Name_class", $class); // add class for field header as field value
	$xt->assign("Substreet_mastervalue", $viewControls->showDBValue("Substreet", $data, $keylink));
	$format = $settings->getViewFormat("Substreet");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Substreet")))
		$class = ' rnr-field-number';
		
	$xt->assign("Substreet_class", $class); // add class for field header as field value
	$xt->assign("Street_mastervalue", $viewControls->showDBValue("Street", $data, $keylink));
	$format = $settings->getViewFormat("Street");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Street")))
		$class = ' rnr-field-number';
		
	$xt->assign("Street_class", $class); // add class for field header as field value
	$xt->assign("Barangay_mastervalue", $viewControls->showDBValue("Barangay", $data, $keylink));
	$format = $settings->getViewFormat("Barangay");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Barangay")))
		$class = ' rnr-field-number';
		
	$xt->assign("Barangay_class", $class); // add class for field header as field value
	$xt->assign("District_mastervalue", $viewControls->showDBValue("District", $data, $keylink));
	$format = $settings->getViewFormat("District");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("District")))
		$class = ' rnr-field-number';
		
	$xt->assign("District_class", $class); // add class for field header as field value
	$xt->assign("City_mastervalue", $viewControls->showDBValue("City", $data, $keylink));
	$format = $settings->getViewFormat("City");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("City")))
		$class = ' rnr-field-number';
		
	$xt->assign("City_class", $class); // add class for field header as field value
	$xt->assign("Zip_Code_mastervalue", $viewControls->showDBValue("Zip Code", $data, $keylink));
	$format = $settings->getViewFormat("Zip Code");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Zip Code")))
		$class = ' rnr-field-number';
		
	$xt->assign("Zip_Code_class", $class); // add class for field header as field value
	$xt->assign("type_mastervalue", $viewControls->showDBValue("type", $data, $keylink));
	$format = $settings->getViewFormat("type");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("type")))
		$class = ' rnr-field-number';
		
	$xt->assign("type_class", $class); // add class for field header as field value
	$xt->assign("credit_limit_mastervalue", $viewControls->showDBValue("credit_limit", $data, $keylink));
	$format = $settings->getViewFormat("credit_limit");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("credit_limit")))
		$class = ' rnr-field-number';
		
	$xt->assign("credit_limit_class", $class); // add class for field header as field value
	$xt->assign("inactive_mastervalue", $viewControls->showDBValue("inactive", $data, $keylink));
	$format = $settings->getViewFormat("inactive");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("inactive")))
		$class = ' rnr-field-number';
		
	$xt->assign("inactive_class", $class); // add class for field header as field value
	$xt->assign("contact_person_mastervalue", $viewControls->showDBValue("contact_person", $data, $keylink));
	$format = $settings->getViewFormat("contact_person");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("contact_person")))
		$class = ' rnr-field-number';
		
	$xt->assign("contact_person_class", $class); // add class for field header as field value
	$xt->assign("classification_mastervalue", $viewControls->showDBValue("classification", $data, $keylink));
	$format = $settings->getViewFormat("classification");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("classification")))
		$class = ' rnr-field-number';
		
	$xt->assign("classification_class", $class); // add class for field header as field value
	$xt->assign("approver_mastervalue", $viewControls->showDBValue("approver", $data, $keylink));
	$format = $settings->getViewFormat("approver");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("approver")))
		$class = ' rnr-field-number';
		
	$xt->assign("approver_class", $class); // add class for field header as field value
	$xt->assign("checker_mastervalue", $viewControls->showDBValue("checker", $data, $keylink));
	$format = $settings->getViewFormat("checker");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("checker")))
		$class = ' rnr-field-number';
		
	$xt->assign("checker_class", $class); // add class for field header as field value

	$layout = GetPageLayout("employee_list", 'masterlist');
	if( $layout )
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');
	
	$xt->displayPartial(GetTemplateName("employee_list", "masterlist"));
}

?>