<?php
function DisplayMasterTableInfo_item($params)
{
	$keys = $params["keys"];
	$detailtable = $params["detailtable"];
	$data = $params["masterRecordData"];
	
	$xt = new Xtempl();
	$tName = "item";
	$xt->eventsObject = getEventObject($tName);
	
	include_once('classes/listpage.php');
	include_once('classes/listpage_simple.php');
	$mParams  = array();
	$mParams["xt"] = &$xt;
	$mParams["mode"] = LIST_MASTER;
	$mParams["pageType"] = PAGE_LIST;
	$mParams["flyId"] = $params["recId"];
	$masterPage = ListPage::createListPage($tName, $mParams);
	
	$settings = $masterPage->pSet;
	$viewControls = new ViewControlsContainer($settings, PAGE_LIST, $masterPage);
	
	$keysAssoc = array();
	$showKeys = "";	

	if($detailtable == "item_bill_of_materials")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("item","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "item_uom_conversion")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("item","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "Purchase_Request_Dashboard_Item")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("item","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "Purchase_Order_Dashboard_Item")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("item","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "Purchase_Order_Receiving_Dashboard_Item")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("item","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if($detailtable == "Production_Dashboard_Item")
	{
		$keysAssoc["id"] = $keys[1-1];
				
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("item","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);
	}

	if( !$data || !count($data) )
		return;
	
	// reassign pagetitlelabel function adding extra params
	$xt->assign_function("pagetitlelabel", "xt_pagetitlelabel", array("record" => $data, "settings" => $settings));
	
	$keylink = "";
	$keylink.= "&key1=".runner_htmlspecialchars(rawurlencode(@$data["id"]));
	
	$xt->assign("Inventory_ID_mastervalue", $viewControls->showDBValue("Inventory ID", $data, $keylink));
	$format = $settings->getViewFormat("Inventory ID");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Inventory ID")))
		$class = ' rnr-field-number';
		
	$xt->assign("Inventory_ID_class", $class); // add class for field header as field value
	$xt->assign("Item_Type_mastervalue", $viewControls->showDBValue("Item Type", $data, $keylink));
	$format = $settings->getViewFormat("Item Type");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Item Type")))
		$class = ' rnr-field-number';
		
	$xt->assign("Item_Type_class", $class); // add class for field header as field value
	$xt->assign("Sales_Accnt_Number_mastervalue", $viewControls->showDBValue("Sales Accnt Number", $data, $keylink));
	$format = $settings->getViewFormat("Sales Accnt Number");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Sales Accnt Number")))
		$class = ' rnr-field-number';
		
	$xt->assign("Sales_Accnt_Number_class", $class); // add class for field header as field value
	$xt->assign("Inventory_Accnt_Number_mastervalue", $viewControls->showDBValue("Inventory Accnt Number", $data, $keylink));
	$format = $settings->getViewFormat("Inventory Accnt Number");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Inventory Accnt Number")))
		$class = ' rnr-field-number';
		
	$xt->assign("Inventory_Accnt_Number_class", $class); // add class for field header as field value
	$xt->assign("Cost_of_Sales_mastervalue", $viewControls->showDBValue("Cost of Sales", $data, $keylink));
	$format = $settings->getViewFormat("Cost of Sales");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Cost of Sales")))
		$class = ' rnr-field-number';
		
	$xt->assign("Cost_of_Sales_class", $class); // add class for field header as field value
	$xt->assign("Default_Sales_Price_mastervalue", $viewControls->showDBValue("Default Sales Price", $data, $keylink));
	$format = $settings->getViewFormat("Default Sales Price");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Default Sales Price")))
		$class = ' rnr-field-number';
		
	$xt->assign("Default_Sales_Price_class", $class); // add class for field header as field value
	$xt->assign("Default_Cost_Price_mastervalue", $viewControls->showDBValue("Default Cost Price", $data, $keylink));
	$format = $settings->getViewFormat("Default Cost Price");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Default Cost Price")))
		$class = ' rnr-field-number';
		
	$xt->assign("Default_Cost_Price_class", $class); // add class for field header as field value
	$xt->assign("Vat_Type_mastervalue", $viewControls->showDBValue("Vat Type", $data, $keylink));
	$format = $settings->getViewFormat("Vat Type");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Vat Type")))
		$class = ' rnr-field-number';
		
	$xt->assign("Vat_Type_class", $class); // add class for field header as field value
	$xt->assign("Vat_Rate_mastervalue", $viewControls->showDBValue("Vat Rate", $data, $keylink));
	$format = $settings->getViewFormat("Vat Rate");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Vat Rate")))
		$class = ' rnr-field-number';
		
	$xt->assign("Vat_Rate_class", $class); // add class for field header as field value
	$xt->assign("EWT_Description_mastervalue", $viewControls->showDBValue("EWT Description", $data, $keylink));
	$format = $settings->getViewFormat("EWT Description");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("EWT Description")))
		$class = ' rnr-field-number';
		
	$xt->assign("EWT_Description_class", $class); // add class for field header as field value
	$xt->assign("EWT_Code_mastervalue", $viewControls->showDBValue("EWT Code", $data, $keylink));
	$format = $settings->getViewFormat("EWT Code");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("EWT Code")))
		$class = ' rnr-field-number';
		
	$xt->assign("EWT_Code_class", $class); // add class for field header as field value
	$xt->assign("reoder_point_mastervalue", $viewControls->showDBValue("reoder_point", $data, $keylink));
	$format = $settings->getViewFormat("reoder_point");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("reoder_point")))
		$class = ' rnr-field-number';
		
	$xt->assign("reoder_point_class", $class); // add class for field header as field value
	$xt->assign("item_description_mastervalue", $viewControls->showDBValue("item_description", $data, $keylink));
	$format = $settings->getViewFormat("item_description");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("item_description")))
		$class = ' rnr-field-number';
		
	$xt->assign("item_description_class", $class); // add class for field header as field value
	$xt->assign("perpetual_method_mastervalue", $viewControls->showDBValue("perpetual_method", $data, $keylink));
	$format = $settings->getViewFormat("perpetual_method");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("perpetual_method")))
		$class = ' rnr-field-number';
		
	$xt->assign("perpetual_method_class", $class); // add class for field header as field value
	$xt->assign("um_mastervalue", $viewControls->showDBValue("um", $data, $keylink));
	$format = $settings->getViewFormat("um");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("um")))
		$class = ' rnr-field-number';
		
	$xt->assign("um_class", $class); // add class for field header as field value
	$xt->assign("depreciation_expense_account_mastervalue", $viewControls->showDBValue("depreciation_expense_account", $data, $keylink));
	$format = $settings->getViewFormat("depreciation_expense_account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("depreciation_expense_account")))
		$class = ' rnr-field-number';
		
	$xt->assign("depreciation_expense_account_class", $class); // add class for field header as field value
	$xt->assign("accumulated_depreciation_account_mastervalue", $viewControls->showDBValue("accumulated_depreciation_account", $data, $keylink));
	$format = $settings->getViewFormat("accumulated_depreciation_account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("accumulated_depreciation_account")))
		$class = ' rnr-field-number';
		
	$xt->assign("accumulated_depreciation_account_class", $class); // add class for field header as field value
	$xt->assign("estimated_life_mastervalue", $viewControls->showDBValue("estimated_life", $data, $keylink));
	$format = $settings->getViewFormat("estimated_life");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("estimated_life")))
		$class = ' rnr-field-number';
		
	$xt->assign("estimated_life_class", $class); // add class for field header as field value
	$xt->assign("automate_depreciation_mastervalue", $viewControls->showDBValue("automate_depreciation", $data, $keylink));
	$format = $settings->getViewFormat("automate_depreciation");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("automate_depreciation")))
		$class = ' rnr-field-number';
		
	$xt->assign("automate_depreciation_class", $class); // add class for field header as field value
	$xt->assign("inactive_mastervalue", $viewControls->showDBValue("inactive", $data, $keylink));
	$format = $settings->getViewFormat("inactive");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("inactive")))
		$class = ' rnr-field-number';
		
	$xt->assign("inactive_class", $class); // add class for field header as field value
	$xt->assign("purchase_vat_type_mastervalue", $viewControls->showDBValue("purchase_vat_type", $data, $keylink));
	$format = $settings->getViewFormat("purchase_vat_type");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("purchase_vat_type")))
		$class = ' rnr-field-number';
		
	$xt->assign("purchase_vat_type_class", $class); // add class for field header as field value
	$xt->assign("purchase_vat_rate_mastervalue", $viewControls->showDBValue("purchase_vat_rate", $data, $keylink));
	$format = $settings->getViewFormat("purchase_vat_rate");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("purchase_vat_rate")))
		$class = ' rnr-field-number';
		
	$xt->assign("purchase_vat_rate_class", $class); // add class for field header as field value
	$xt->assign("item_group_mastervalue", $viewControls->showDBValue("item_group", $data, $keylink));
	$format = $settings->getViewFormat("item_group");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("item_group")))
		$class = ' rnr-field-number';
		
	$xt->assign("item_group_class", $class); // add class for field header as field value
	$xt->assign("picture_mastervalue", "<span class='rnr-field-file'>".$viewControls->showDBValue("picture", $data, $keylink)."</span>");
	$format = $settings->getViewFormat("picture");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("picture")))
		$class = ' rnr-field-number';
		
	$xt->assign("picture_class", $class); // add class for field header as field value
	$xt->assign("work_in_processed_mastervalue", $viewControls->showDBValue("work_in_processed", $data, $keylink));
	$format = $settings->getViewFormat("work_in_processed");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("work_in_processed")))
		$class = ' rnr-field-number';
		
	$xt->assign("work_in_processed_class", $class); // add class for field header as field value
	$xt->assign("serialized_mastervalue", $viewControls->showDBValue("serialized", $data, $keylink));
	$format = $settings->getViewFormat("serialized");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("serialized")))
		$class = ' rnr-field-number';
		
	$xt->assign("serialized_class", $class); // add class for field header as field value
	$xt->assign("credit_memo_account_mastervalue", $viewControls->showDBValue("credit_memo_account", $data, $keylink));
	$format = $settings->getViewFormat("credit_memo_account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("credit_memo_account")))
		$class = ' rnr-field-number';
		
	$xt->assign("credit_memo_account_class", $class); // add class for field header as field value
	$xt->assign("debit_memo_mastervalue", $viewControls->showDBValue("debit_memo", $data, $keylink));
	$format = $settings->getViewFormat("debit_memo");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("debit_memo")))
		$class = ' rnr-field-number';
		
	$xt->assign("debit_memo_class", $class); // add class for field header as field value
	$xt->assign("minimum_production_mastervalue", $viewControls->showDBValue("minimum_production", $data, $keylink));
	$format = $settings->getViewFormat("minimum_production");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("minimum_production")))
		$class = ' rnr-field-number';
		
	$xt->assign("minimum_production_class", $class); // add class for field header as field value
	$xt->assign("allow_over_under_receiving_mastervalue", $viewControls->showDBValue("allow_over_under_receiving", $data, $keylink));
	$format = $settings->getViewFormat("allow_over_under_receiving");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("allow_over_under_receiving")))
		$class = ' rnr-field-number';
		
	$xt->assign("allow_over_under_receiving_class", $class); // add class for field header as field value
	$xt->assign("disposal_account_mastervalue", $viewControls->showDBValue("disposal_account", $data, $keylink));
	$format = $settings->getViewFormat("disposal_account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("disposal_account")))
		$class = ' rnr-field-number';
		
	$xt->assign("disposal_account_class", $class); // add class for field header as field value

	$layout = GetPageLayout("item", 'masterlist');
	if( $layout )
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');
	
	$xt->displayPartial(GetTemplateName("item", "masterlist"));
}

?>