<?php
@ini_set("display_errors","1");
@ini_set("display_startup_errors","1");

require_once("include/dbcommon.php");
header("Expires: Thu, 01 Jan 1970 00:00:01 GMT"); 

require_once("include/lyl_estimate_detail_for_checking_variables.php");

$mode = postvalue("mode");

if(!isLogged())
{ 
	return;
}
if(!CheckSecurity(@$_SESSION["_".$strTableName."_OwnerID"],"Search"))
{
	return;
}

require_once("classes/searchclause.php");

$cipherer = new RunnerCipherer($strTableName);

require_once('include/xtempl.php');
$xt = new Xtempl();





$layout = new TLayout("detailspreview", "BreezeDeliciousGray", "MobileDeliciousGray");
$layout->version = 2;
$layout->blocks["bare"] = array();
$layout->containers["dcount"] = array();
$layout->container_properties["dcount"] = array(  );
$layout->containers["dcount"][] = array("name"=>"detailspreviewheader", 
	"block"=>"", "substyle"=>1  );

$layout->containers["dcount"][] = array("name"=>"detailspreviewdetailsfount", 
	"block"=>"", "substyle"=>1  );

$layout->containers["dcount"][] = array("name"=>"detailspreviewdispfirst", 
	"block"=>"display_first", "substyle"=>1  );

$layout->skins["dcount"] = "empty";

$layout->blocks["bare"][] = "dcount";
$layout->containers["detailspreviewgrid"] = array();
$layout->container_properties["detailspreviewgrid"] = array(  );
$layout->containers["detailspreviewgrid"][] = array("name"=>"detailspreviewfields", 
	"block"=>"details_data", "substyle"=>1  );

$layout->skins["detailspreviewgrid"] = "grid";

$layout->blocks["bare"][] = "detailspreviewgrid";
$page_layouts["lyl_estimate_detail_for_checking_detailspreview"] = $layout;

$layout->skinsparams = array();
$layout->skinsparams["empty"] = array("button"=>"button2");
$layout->skinsparams["menu"] = array("button"=>"button1");
$layout->skinsparams["hmenu"] = array("button"=>"button1");
$layout->skinsparams["undermenu"] = array("button"=>"button1");
$layout->skinsparams["fields"] = array("button"=>"button1");
$layout->skinsparams["form"] = array("button"=>"button1");
$layout->skinsparams["1"] = array("button"=>"button1");
$layout->skinsparams["2"] = array("button"=>"button2");
$layout->skinsparams["3"] = array("button"=>"button1");



$recordsCounter = 0;

//	process masterkey value
$mastertable = postvalue("mastertable");
$masterKeys = my_json_decode(postvalue("masterKeys"));
$sessionPrefix = "_detailsPreview";
if($mastertable != "")
{
	$_SESSION[$sessionPrefix."_mastertable"]=$mastertable;
//	copy keys to session
	$i = 1;
	if(is_array($masterKeys) && count($masterKeys) > 0)
	{
		while(array_key_exists ("masterkey".$i, $masterKeys))
		{
			$_SESSION[$sessionPrefix."_masterkey".$i] = $masterKeys["masterkey".$i];
			$i++;
		}
	}
	if(isset($_SESSION[$sessionPrefix."_masterkey".$i]))
		unset($_SESSION[$sessionPrefix."_masterkey".$i]);
}
else
	$mastertable = $_SESSION[$sessionPrefix."_mastertable"];

$params = array();
$params['id'] = 1;
$params['xt'] = &$xt;
$params['tName'] = $strTableName;
$params['pageType'] = "detailspreview";
$pageObject = new DetailsPreview($params);

if($mastertable == "lyl_estimate_for_checking")
{
	$where = "";
		$formattedValue = make_db_value("TXNID",$_SESSION[$sessionPrefix."_masterkey1"]);
	if( $formattedValue == "null" )
		$where .= $pageObject->getFieldSQLDecrypt("TXNID") . "is null";
	else
		$where .= $pageObject->getFieldSQLDecrypt("TXNID") . "=" . $formattedValue;
}

$str = SecuritySQL("Search", $strTableName);
if(strlen($str))
	$where.=" and ".$str;
$strSQL = $gQuery->gSQLWhere($where);

$strSQL.=" ".$gstrOrderBy;

$rowcount = $gQuery->gSQLRowCount($where, $pageObject->connection);
$xt->assign("row_count",$rowcount);
if($rowcount) 
{
	$xt->assign("details_data",true);

	$display_count = 10;
	if($mode == "inline")
		$display_count*=2;
		
	if($rowcount>$display_count+2)
	{
		$xt->assign("display_first",true);
		$xt->assign("display_count",$display_count);
	}
	else
		$display_count = $rowcount;

	$rowinfo = array();
	
	require_once getabspath('classes/controls/ViewControlsContainer.php');
	$pSet = new ProjectSettings($strTableName, PAGE_LIST);
	$viewContainer = new ViewControlsContainer($pSet, PAGE_LIST);
	$viewContainer->isDetailsPreview = true;

	$b = true;
	$qResult = $pageObject->connection->query( $strSQL );
	$data = $cipherer->DecryptFetchedArray( $qResult->fetchAssoc() );
	while($data && $recordsCounter<$display_count) {
		$recordsCounter++;
		$row = array();
		$keylink = "";
		$keylink.="&key1=".runner_htmlspecialchars(rawurlencode(@$data["iD"]));
	
	
	//	iD - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("iD", $data, $keylink);
			$row["iD_value"] = $value;
			$format = $pSet->getViewFormat("iD");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("iD")))
				$class = ' rnr-field-number';
			$row["iD_class"] = $class;
	//	TXNID - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("TXNID", $data, $keylink);
			$row["TXNID_value"] = $value;
			$format = $pSet->getViewFormat("TXNID");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("TXNID")))
				$class = ' rnr-field-number';
			$row["TXNID_class"] = $class;
	//	Qty - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Qty", $data, $keylink);
			$row["Qty_value"] = $value;
			$format = $pSet->getViewFormat("Qty");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Qty")))
				$class = ' rnr-field-number';
			$row["Qty_class"] = $class;
	//	Description - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Description", $data, $keylink);
			$row["Description_value"] = $value;
			$format = $pSet->getViewFormat("Description");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Description")))
				$class = ' rnr-field-number';
			$row["Description_class"] = $class;
	//	Price - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Price", $data, $keylink);
			$row["Price_value"] = $value;
			$format = $pSet->getViewFormat("Price");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Price")))
				$class = ' rnr-field-number';
			$row["Price_class"] = $class;
	//	Amount - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("Amount", $data, $keylink);
			$row["Amount_value"] = $value;
			$format = $pSet->getViewFormat("Amount");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("Amount")))
				$class = ' rnr-field-number';
			$row["Amount_class"] = $class;
	//	picture - Document Download
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("picture", $data, $keylink);
			$row["picture_value"] = $value;
			$format = $pSet->getViewFormat("picture");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("picture")))
				$class = ' rnr-field-number';
			$row["picture_class"] = $class;
	//	location - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("location", $data, $keylink);
			$row["location_value"] = $value;
			$format = $pSet->getViewFormat("location");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("location")))
				$class = ' rnr-field-number';
			$row["location_class"] = $class;
	//	size - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("size", $data, $keylink);
			$row["size_value"] = $value;
			$format = $pSet->getViewFormat("size");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("size")))
				$class = ' rnr-field-number';
			$row["size_class"] = $class;
	//	quotation_description - 
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("quotation_description", $data, $keylink);
			$row["quotation_description_value"] = $value;
			$format = $pSet->getViewFormat("quotation_description");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("quotation_description")))
				$class = ' rnr-field-number';
			$row["quotation_description_class"] = $class;
	//	markup1 - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("markup1", $data, $keylink);
			$row["markup1_value"] = $value;
			$format = $pSet->getViewFormat("markup1");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("markup1")))
				$class = ' rnr-field-number';
			$row["markup1_class"] = $class;
	//	markup2 - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("markup2", $data, $keylink);
			$row["markup2_value"] = $value;
			$format = $pSet->getViewFormat("markup2");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("markup2")))
				$class = ' rnr-field-number';
			$row["markup2_class"] = $class;
	//	total_quotation - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("total_quotation", $data, $keylink);
			$row["total_quotation_value"] = $value;
			$format = $pSet->getViewFormat("total_quotation");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("total_quotation")))
				$class = ' rnr-field-number';
			$row["total_quotation_class"] = $class;
	//	rounded_quotation - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("rounded_quotation", $data, $keylink);
			$row["rounded_quotation_value"] = $value;
			$format = $pSet->getViewFormat("rounded_quotation");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("rounded_quotation")))
				$class = ' rnr-field-number';
			$row["rounded_quotation_class"] = $class;
	//	alluminum - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("alluminum", $data, $keylink);
			$row["alluminum_value"] = $value;
			$format = $pSet->getViewFormat("alluminum");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("alluminum")))
				$class = ' rnr-field-number';
			$row["alluminum_class"] = $class;
	//	accssories - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("accssories", $data, $keylink);
			$row["accssories_value"] = $value;
			$format = $pSet->getViewFormat("accssories");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("accssories")))
				$class = ' rnr-field-number';
			$row["accssories_class"] = $class;
	//	e_accessories - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("e_accessories", $data, $keylink);
			$row["e_accessories_value"] = $value;
			$format = $pSet->getViewFormat("e_accessories");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("e_accessories")))
				$class = ' rnr-field-number';
			$row["e_accessories_class"] = $class;
	//	glass - Number
			$viewContainer->recId = $recordsCounter;
		    $value = $viewContainer->showDBValue("glass", $data, $keylink);
			$row["glass_value"] = $value;
			$format = $pSet->getViewFormat("glass");
			$class = "rnr-field-text";
			if($format==FORMAT_FILE) 
				$class = ' rnr-field-file'; 
			if($format==FORMAT_AUDIO)
				$class = ' rnr-field-audio';
			if($format==FORMAT_CHECKBOX)
				$class = ' rnr-field-checkbox';
			if($format==FORMAT_NUMBER || IsNumberType($pSet->getFieldType("glass")))
				$class = ' rnr-field-number';
			$row["glass_class"] = $class;
		$rowinfo[] = $row;
		if ($b) {
			$rowinfo2[] = $row;
			$b = false;
		}
		$data = $cipherer->DecryptFetchedArray( $qResult->fetchAssoc() );
	}
	$xt->assign_loopsection("details_row",$rowinfo);
	$xt->assign_loopsection("details_row_header",$rowinfo2); // assign class for header
}
$returnJSON = array("success" => true);
$xt->load_template(GetTemplateName("lyl_estimate_detail_for_checking", "detailspreview"));
$returnJSON["body"] = $xt->fetch_loaded();

if($mode!="inline")
{
	$returnJSON["counter"] = postvalue("counter");
	$layout = GetPageLayout(GoodFieldName($strTableName), 'detailspreview');
	if($layout)
	{
		foreach($layout->getCSSFiles(isRTL(), isMobile()) as $css)
		{
			$returnJSON['CSSFiles'][] = $css;
		}
	}	
}	

echo printJSON($returnJSON);
exit();
?>